#include <math.h>

void getBTGradient (
  double *vshear,
  double *vyoung,
  double *vradh,
  double *vradw,
  double L0,
  double L1,
  double *K0,
  double twist0,
  double *nRefIni1,
  double *tRefIni1,
  double *nRefIni2,
  double *tRefIni2,
  double rtx,
  double *x1,
  double *x2,
  double *x3,
  double theta1,
  double theta2,
  double *energyGradienti)
{
  double t10;
  double t100;
  double t1004;
  double t102;
  double t1025;
  double t104;
  double t1063;
  double t1083;
  double t1088;
  double t109;
  double t1100;
  double t1113;
  double t1125;
  double t1128;
  double t1139;
  double t1150;
  double t116;
  double t1166;
  double t1167;
  double t1168;
  double t1169;
  double t117;
  double t1172;
  double t1175;
  double t1178;
  double t1186;
  double t1187;
  double t119;
  double t1190;
  double t1193;
  double t1196;
  double t1199;
  double t12;
  double t120;
  double t1202;
  double t1208;
  double t1214;
  double t122;
  double t1222;
  double t1225;
  double t1230;
  double t1232;
  double t1242;
  double t1245;
  double t1255;
  double t1268;
  double t127;
  double t1274;
  double t128;
  double t1280;
  double t1283;
  double t129;
  double t1302;
  double t1315;
  double t1316;
  double t1319;
  double t132;
  double t1338;
  double t1355;
  double t1356;
  double t1385;
  double t140;
  double t1423;
  double t144;
  double t1443;
  double t1448;
  double t1460;
  double t147;
  double t1473;
  double t1485;
  double t1488;
  double t1499;
  double t1510;
  double t1527;
  double t1528;
  double t1532;
  double t1533;
  double t1535;
  double t1536;
  double t154;
  double t1540;
  double t1541;
  double t1544;
  double t1545;
  double t1548;
  double t155;
  double t1551;
  double t1552;
  double t1555;
  double t1567;
  double t1568;
  double t1571;
  double t1574;
  double t1577;
  double t1580;
  double t1583;
  double t1589;
  double t1595;
  double t1603;
  double t1606;
  double t161;
  double t1611;
  double t1613;
  double t1623;
  double t1626;
  double t1636;
  double t1640;
  double t1648;
  double t1649;
  double t165;
  double t1655;
  double t1657;
  double t1661;
  double t1664;
  double t1683;
  double t1697;
  double t170;
  double t1702;
  double t1703;
  double t1706;
  double t1725;
  double t1747;
  double t1748;
  double t1749;
  double t1768;
  double t177;
  double t1771;
  double t1772;
  double t1775;
  double t1776;
  double t1777;
  double t178;
  double t1780;
  double t1781;
  double t1784;
  double t1790;
  double t1794;
  double t1797;
  double t1805;
  double t1806;
  double t1809;
  double t1811;
  double t1813;
  double t1817;
  double t1819;
  double t1823;
  double t183;
  double t1831;
  double t1834;
  double t1844;
  double t1847;
  double t1852;
  double t1859;
  double t186;
  double t1865;
  double t187;
  double t1870;
  double t1873;
  double t1884;
  double t1887;
  double t189;
  double t1893;
  double t19;
  double t190;
  double t1904;
  double t1916;
  double t192;
  double t1923;
  double t1924;
  double t193;
  double t1930;
  double t1944;
  double t195;
  double t1954;
  double t196;
  double t1998;
  double t2019;
  double t202;
  double t2024;
  double t2026;
  double t2039;
  double t2042;
  double t2055;
  double t2060;
  double t2064;
  double t2076;
  double t208;
  double t2082;
  double t2083;
  double t2094;
  double t2103;
  double t211;
  double t2110;
  double t2123;
  double t213;
  double t2143;
  double t2144;
  double t2148;
  double t2149;
  double t215;
  double t2152;
  double t2155;
  double t2158;
  double t216;
  double t2161;
  double t2164;
  double t2176;
  double t2177;
  double t218;
  double t2180;
  double t2183;
  double t2186;
  double t2189;
  double t219;
  double t2192;
  double t2198;
  double t22;
  double t220;
  double t2204;
  double t221;
  double t2212;
  double t2215;
  double t2220;
  double t2222;
  double t223;
  double t2232;
  double t2235;
  double t2245;
  double t225;
  double t2258;
  double t2264;
  double t2270;
  double t2273;
  double t2292;
  double t23;
  double t230;
  double t2309;
  double t2310;
  double t2313;
  double t2332;
  double t2353;
  double t2354;
  double t237;
  double t2373;
  double t2376;
  double t2379;
  double t238;
  double t2382;
  double t2385;
  double t2391;
  double t2397;
  double t240;
  double t2405;
  double t2408;
  double t241;
  double t2413;
  double t2415;
  double t2425;
  double t2428;
  double t243;
  double t2438;
  double t2441;
  double t2451;
  double t2457;
  double t2462;
  double t2465;
  double t2477;
  double t248;
  double t2483;
  double t249;
  double t2494;
  double t25;
  double t250;
  double t2506;
  double t2512;
  double t253;
  double t2534;
  double t2540;
  double t2584;
  double t26;
  double t2605;
  double t261;
  double t2610;
  double t2612;
  double t2625;
  double t2628;
  double t2641;
  double t2646;
  double t265;
  double t2660;
  double t2665;
  double t268;
  double t2683;
  double t2701;
  double t2721;
  double t2722;
  double t2726;
  double t2727;
  double t2730;
  double t2733;
  double t2736;
  double t2739;
  double t2742;
  double t2754;
  double t2755;
  double t2758;
  double t276;
  double t2761;
  double t2764;
  double t2767;
  double t2770;
  double t2776;
  double t2782;
  double t2790;
  double t2793;
  double t2798;
  double t28;
  double t280;
  double t2800;
  double t2810;
  double t2813;
  double t2823;
  double t2836;
  double t2842;
  double t2848;
  double t285;
  double t2851;
  double t2870;
  double t2887;
  double t2888;
  double t2891;
  double t29;
  double t2910;
  double t292;
  double t2931;
  double t2932;
  double t2951;
  double t2954;
  double t2957;
  double t296;
  double t2960;
  double t2963;
  double t2969;
  double t297;
  double t2975;
  double t298;
  double t2983;
  double t2986;
  double t299;
  double t2991;
  double t2993;
  double t3;
  double t30;
  double t3003;
  double t3006;
  double t301;
  double t3016;
  double t3019;
  double t302;
  double t3029;
  double t303;
  double t3035;
  double t304;
  double t3040;
  double t3043;
  double t305;
  double t3055;
  double t306;
  double t3061;
  double t3072;
  double t3084;
  double t309;
  double t3090;
  double t31;
  double t311;
  double t3116;
  double t312;
  double t313;
  double t316;
  double t3160;
  double t317;
  double t3181;
  double t3186;
  double t3188;
  double t32;
  double t320;
  double t3201;
  double t3204;
  double t3217;
  double t3222;
  double t3236;
  double t3241;
  double t3259;
  double t3277;
  double t328;
  double t329;
  double t3297;
  double t3298;
  double t33;
  double t3301;
  double t3304;
  double t3307;
  double t3315;
  double t3316;
  double t332;
  double t3326;
  double t3327;
  double t3337;
  double t3338;
  double t3346;
  double t3349;
  double t335;
  double t3352;
  double t3355;
  double t3358;
  double t336;
  double t3364;
  double t3370;
  double t3378;
  double t3381;
  double t3386;
  double t3388;
  double t339;
  double t3398;
  double t340;
  double t3401;
  double t341;
  double t3411;
  double t3414;
  double t3424;
  double t3430;
  double t3435;
  double t3438;
  double t344;
  double t345;
  double t3450;
  double t3456;
  double t3467;
  double t3479;
  double t348;
  double t3485;
  double t35;
  double t3511;
  double t354;
  double t3549;
  double t3564;
  double t3569;
  double t3571;
  double t358;
  double t3581;
  double t3584;
  double t3594;
  double t3599;
  double t36;
  double t361;
  double t3613;
  double t3618;
  double t3636;
  double t3654;
  double t3674;
  double t3675;
  double t3678;
  double t3681;
  double t3684;
  double t369;
  double t3692;
  double t3693;
  double t370;
  double t3703;
  double t3704;
  double t3714;
  double t3715;
  double t3723;
  double t3726;
  double t3729;
  double t373;
  double t3732;
  double t3735;
  double t3741;
  double t3747;
  double t375;
  double t3755;
  double t3758;
  double t3763;
  double t3765;
  double t377;
  double t3775;
  double t3778;
  double t3788;
  double t3791;
  double t38;
  double t3801;
  double t3807;
  double t381;
  double t3812;
  double t3815;
  double t3827;
  double t383;
  double t3833;
  double t3844;
  double t3856;
  double t3862;
  double t387;
  double t3888;
  double t39;
  double t3926;
  double t3941;
  double t3946;
  double t3948;
  double t395;
  double t3958;
  double t3961;
  double t3971;
  double t3976;
  double t398;
  double t3990;
  double t3995;
  double t4013;
  double t4019;
  double t4026;
  double t4031;
  double t404;
  double t4051;
  double t4052;
  double t4055;
  double t4058;
  double t4061;
  double t4069;
  double t4070;
  double t408;
  double t4080;
  double t4081;
  double t4091;
  double t4092;
  double t41;
  double t4100;
  double t4103;
  double t4106;
  double t4109;
  double t4112;
  double t4118;
  double t4124;
  double t413;
  double t4132;
  double t4135;
  double t4140;
  double t4142;
  double t4152;
  double t4155;
  double t416;
  double t4165;
  double t4168;
  double t4178;
  double t4184;
  double t4189;
  double t4192;
  double t42;
  double t4204;
  double t421;
  double t4210;
  double t4221;
  double t423;
  double t4233;
  double t4239;
  double t4265;
  double t429;
  double t43;
  double t4303;
  double t4318;
  double t4323;
  double t4325;
  double t4335;
  double t4338;
  double t4348;
  double t435;
  double t4353;
  double t4367;
  double t4372;
  double t438;
  double t4390;
  double t44;
  double t4408;
  double t4429;
  double t4432;
  double t4439;
  double t4449;
  double t4484;
  double t4488;
  double t449;
  double t4491;
  double t4498;
  double t45;
  double t4508;
  double t456;
  double t459;
  double t46;
  double t465;
  double t47;
  double t474;
  double t475;
  double t476;
  double t478;
  double t479;
  double t48;
  double t49;
  double t499;
  double t5;
  double t50;
  double t500;
  double t503;
  double t506;
  double t51;
  double t512;
  double t515;
  double t519;
  double t52;
  double t522;
  double t523;
  double t529;
  double t53;
  double t535;
  double t54;
  double t551;
  double t554;
  double t56;
  double t568;
  double t569;
  double t57;
  double t574;
  double t579;
  double t58;
  double t59;
  double t598;
  double t60;
  double t605;
  double t606;
  double t612;
  double t614;
  double t62;
  double t622;
  double t623;
  double t624;
  double t625;
  double t626;
  double t627;
  double t628;
  double t63;
  double t633;
  double t634;
  double t635;
  double t637;
  double t639;
  double t64;
  double t642;
  double t644;
  double t65;
  double t651;
  double t66;
  double t663;
  double t664;
  double t667;
  double t67;
  double t678;
  double t68;
  double t689;
  double t69;
  double t691;
  double t695;
  double t696;
  double t697;
  double t7;
  double t71;
  double t712;
  double t714;
  double t718;
  double t72;
  double t73;
  double t730;
  double t74;
  double t741;
  double t743;
  double t75;
  double t752;
  double t755;
  double t758;
  double t764;
  double t769;
  double t77;
  double t780;
  double t783;
  double t785;
  double t786;
  double t787;
  double t79;
  double t795;
  double t798;
  double t8;
  double t804;
  double t805;
  double t806;
  double t807;
  double t81;
  double t810;
  double t813;
  double t816;
  double t824;
  double t825;
  double t828;
  double t831;
  double t834;
  double t837;
  double t840;
  double t846;
  double t852;
  double t860;
  double t863;
  double t868;
  double t87;
  double t870;
  double t880;
  double t883;
  double t893;
  double t90;
  double t906;
  double t912;
  double t918;
  double t92;
  double t921;
  double t94;
  double t940;
  double t95;
  double t953;
  double t954;
  double t957;
  double t97;
  double t976;
  double t98;
  double t99;
  double t993;
  double t994;
  t3 = vradw[0];
  t5 = vradw[1];
  t8 = 0.5e0 * t3 + 0.5e0 * t5;
  t7 = vradh[0];
  t10 = vradh[1];
  t12 = 0.5e0 * t7 + 0.5e0 * t10;
  t19 = pow(0.25e0 * t3 + 0.25e0 * t5 + 0.25e0 * t7 + 0.25e0 * t10, 0.2e1);
  t47 = x2[0];
  t51 = x1[0];
  t22 = t47 - 0.1e1 * t51;
  t23 = t22 * t22;
  t59 = x2[1];
  t60 = x1[1];
  t25 = t59 - 0.1e1 * t60;
  t26 = t25 * t25;
  t62 = x2[2];
  t67 = x1[2];
  t28 = t62 - 0.1e1 * t67;
  t29 = t28 * t28;
  t30 = t23 + t26 + t29;
  t31 = sqrt(t30);
  t32 = 0.1e1 / t31;
  t33 = t22 * t32;
  t73 = x3[0];
  t35 = t73 - 0.1e1 * t47;
  t36 = t35 * t35;
  t77 = x3[1];
  t38 = t77 - 0.1e1 * t59;
  t39 = t38 * t38;
  t79 = x3[2];
  t41 = t79 - 0.1e1 * t62;
  t42 = t41 * t41;
  t43 = t36 + t39 + t42;
  t44 = sqrt(t43);
  t45 = 0.1e1 / t44;
  t46 = t45 * t35;
  t48 = 0.1e1 * t33 * t46;
  t49 = t32 * t25;
  t50 = t45 * t38;
  t52 = 0.1e1 * t49 * t50;
  t53 = t32 * t28;
  t54 = t45 * t41;
  t56 = 0.1e1 * t53 * t54;
  t57 = 0.1e1 + t48 + t52 + t56;
  t58 = 0.1e1 / t57;
  t63 = 0.1e1 * t49 * t54 - 0.1e1 * t53 * t50;
  t64 = t58 * t63;
  t65 = cos(theta1);
  t90 = tRefIni1[0];
  t66 = t90 * t32;
  t68 = 0.1e1 * t66 * t22;
  t92 = tRefIni1[1];
  t69 = t92 * t32;
  t71 = 0.1e1 * t69 * t25;
  t94 = tRefIni1[2];
  t72 = t94 * t32;
  t74 = 0.1e1 * t72 * t28;
  t75 = t68 + t71 + t74;
  t81 = 0.1e1 * t69 * t28 - 0.1e1 * t72 * t25;
  t87 = 0.1e1 * t72 * t22 - 0.1e1 * t66 * t28;
  t95 = 0.1e1 * t66 * t25 - 0.1e1 * t69 * t22;
  t117 = nRefIni1[0];
  t120 = nRefIni1[1];
  t122 = nRefIni1[2];
  t97 = t81 * t117 + t87 * t120 + t95 * t122;
  t98 = 0.1e1 + t68 + t71 + t74;
  t99 = 0.1e1 / t98;
  t100 = t97 * t99;
  t102 = t75 * t122 + t81 * t120 - t87 * t117 + t100 * t95;
  t104 = sin(theta1);
  t109 = t75 * t120 + t95 * t117 - t81 * t122 + t100 * t87;
  t116 = t75 * t117 + t87 * t122 - t95 * t120 + t100 * t81;
  t119 = 0.1e1 * t33 * t109 - 0.1e1 * t49 * t116;
  t127 = 0.1e1 * t33 * t116 + 0.1e1 * t49 * t109 + 0.1e1 * t53 * t102;
  t128 = 0.1e1 - t65;
  t129 = t127 * t128;
  t132 = t65 * t102 + t104 * t119 + 0.1e1 * t129 * t53;
  t140 = 0.1e1 * t53 * t116 - 0.1e1 * t33 * t102;
  t144 = t65 * t109 + t104 * t140 + 0.1e1 * t129 * t49;
  t147 = 0.1e1 * t49 * t132 - 0.1e1 * t53 * t144;
  t154 = 0.1e1 * t53 * t46 - 0.1e1 * t33 * t54;
  t155 = t58 * t154;
  t161 = 0.1e1 * t49 * t102 - 0.1e1 * t53 * t109;
  t165 = t65 * t116 + t104 * t161 + 0.1e1 * t129 * t33;
  t170 = 0.1e1 * t53 * t165 - 0.1e1 * t33 * t132;
  t177 = 0.1e1 * t33 * t50 - 0.1e1 * t49 * t46;
  t178 = t58 * t177;
  t183 = 0.1e1 * t33 * t144 - 0.1e1 * t49 * t165;
  t186 = cos(theta2);
  t211 = tRefIni2[0];
  t187 = t211 * t45;
  t189 = 0.1e1 * t187 * t35;
  t213 = tRefIni2[1];
  t190 = t213 * t45;
  t192 = 0.1e1 * t190 * t38;
  t215 = tRefIni2[2];
  t193 = t215 * t45;
  t195 = 0.1e1 * t193 * t41;
  t196 = t189 + t192 + t195;
  t202 = 0.1e1 * t190 * t41 - 0.1e1 * t193 * t38;
  t208 = 0.1e1 * t193 * t35 - 0.1e1 * t187 * t41;
  t216 = 0.1e1 * t187 * t38 - 0.1e1 * t190 * t35;
  t238 = nRefIni2[0];
  t241 = nRefIni2[1];
  t243 = nRefIni2[2];
  t218 = t202 * t238 + t208 * t241 + t216 * t243;
  t219 = 0.1e1 + t189 + t192 + t195;
  t220 = 0.1e1 / t219;
  t221 = t218 * t220;
  t223 = t196 * t243 + t202 * t241 - t208 * t238 + t221 * t216;
  t225 = sin(theta2);
  t230 = t196 * t241 + t216 * t238 - t202 * t243 + t221 * t208;
  t237 = t196 * t238 + t208 * t243 - t216 * t241 + t221 * t202;
  t240 = 0.1e1 * t46 * t230 - 0.1e1 * t50 * t237;
  t248 = 0.1e1 * t46 * t237 + 0.1e1 * t50 * t230 + 0.1e1 * t54 * t223;
  t249 = 0.1e1 - t186;
  t250 = t248 * t249;
  t253 = t186 * t223 + t225 * t240 + 0.1e1 * t250 * t54;
  t261 = 0.1e1 * t54 * t237 - 0.1e1 * t46 * t223;
  t265 = t186 * t230 + t225 * t261 + 0.1e1 * t250 * t50;
  t268 = 0.1e1 * t50 * t253 - 0.1e1 * t54 * t265;
  t276 = 0.1e1 * t50 * t223 - 0.1e1 * t54 * t230;
  t280 = t186 * t237 + t225 * t276 + 0.1e1 * t250 * t46;
  t285 = 0.1e1 * t54 * t280 - 0.1e1 * t46 * t253;
  t292 = 0.1e1 * t46 * t265 - 0.1e1 * t50 * t280;
  t296 = 0.1000000000e1 * t64 * t147 + 0.1000000000e1 * t155 * t170 + 0.1000000000e1 * t178 * t183 + 0.1000000000e1 * t64 * t268 + 0.1000000000e1 * t155 * t285 + 0.1000000000e1 * t178 * t292 - 0.1e1 * K0[0];
  t297 = t57 * t57;
  t298 = 0.1e1 / t297;
  t299 = t298 * t63;
  t301 = t32 / t30;
  t302 = t301 * t22;
  t303 = 0.2e1 * t47;
  t304 = 0.2e1 * t51;
  t305 = -t303 + t304;
  t306 = t46 * t305;
  t309 = t32 * t45;
  t311 = 0.1e1 * t309 * t35;
  t312 = t301 * t25;
  t313 = t50 * t305;
  t316 = t301 * t28;
  t317 = t54 * t305;
  t320 = -0.5000000000e0 * t302 * t306 - t311 - 0.5000000000e0 * t312 * t313 - 0.5000000000e0 * t316 * t317;
  t328 = -0.5000000000e0 * t312 * t317 + 0.5000000000e0 * t316 * t313;
  t329 = t58 * t328;
  t332 = t132 * t305;
  t335 = t90 * t301;
  t336 = t22 * t305;
  t339 = 0.1e1 * t66;
  t340 = t92 * t301;
  t341 = t25 * t305;
  t344 = t94 * t301;
  t345 = t28 * t305;
  t348 = -0.5000000000e0 * t335 * t336 - t339 - 0.5000000000e0 * t340 * t341 - 0.5000000000e0 * t344 * t345;
  t354 = -0.5000000000e0 * t340 * t345 + 0.5000000000e0 * t344 * t341;
  t358 = 0.1e1 * t72;
  t361 = -0.5000000000e0 * t344 * t336 - t358 + 0.5000000000e0 * t335 * t345;
  t369 = 0.1e1 * t69;
  t370 = -0.5000000000e0 * t335 * t341 + 0.5000000000e0 * t340 * t336 + t369;
  t373 = (t354 * t117 + t361 * t120 + t370 * t122) * t99;
  t375 = t98 * t98;
  t377 = t97 / t375;
  t404 = t377 * t95;
  t381 = t348 * t122 + t354 * t120 - t361 * t117 + t373 * t95 - t404 * t348 + t100 * t370;
  t383 = t109 * t305;
  t387 = 0.1e1 * t32 * t109;
  t413 = t377 * t87;
  t395 = t348 * t120 + t370 * t117 - t354 * t122 + t373 * t87 - t413 * t348 + t100 * t361;
  t398 = t116 * t305;
  t421 = t377 * t81;
  t408 = t348 * t117 + t361 * t122 - t370 * t120 + t373 * t81 - t421 * t348 + t100 * t354;
  t416 = 0.1e1 * t32 * t116;
  t423 = t102 * t305;
  t429 = (-0.5000000000e0 * t302 * t398 - t416 + 0.1e1 * t33 * t408 - 0.5000000000e0 * t312 * t383 + 0.1e1 * t49 * t395 - 0.5000000000e0 * t316 * t423 + 0.1e1 * t53 * t381) * t128;
  t456 = t129 * t316;
  t435 = t65 * t381 + t104 * (-0.5000000000e0 * t302 * t383 - t387 + 0.1e1 * t33 * t395 + 0.5000000000e0 * t312 * t398 - 0.1e1 * t49 * t408) + 0.1e1 * t429 * t53 - 0.5000000000e0 * t456 * t305;
  t438 = t144 * t305;
  t449 = 0.1e1 * t32 * t102;
  t478 = t129 * t312;
  t459 = t65 * t395 + t104 * (-0.5000000000e0 * t316 * t398 + 0.1e1 * t53 * t408 + 0.5000000000e0 * t302 * t423 + t449 - 0.1e1 * t33 * t381) + 0.1e1 * t429 * t49 - 0.5000000000e0 * t478 * t305;
  t465 = t298 * t154;
  t474 = 0.1e1 * t309 * t41;
  t475 = -0.5000000000e0 * t316 * t306 + 0.5000000000e0 * t302 * t317 + t474;
  t476 = t58 * t475;
  t479 = t165 * t305;
  t499 = 0.1e1 * t129 * t32;
  t503 = t129 * t302;
  t500 = t65 * t408 + t104 * (-0.5000000000e0 * t312 * t423 + 0.1e1 * t49 * t381 + 0.5000000000e0 * t316 * t383 - 0.1e1 * t53 * t395) + 0.1e1 * t429 * t33 - 0.5000000000e0 * t503 * t305 - t499;
  t506 = 0.1e1 * t32 * t132;
  t512 = t298 * t177;
  t519 = 0.1e1 * t309 * t38;
  t522 = -0.5000000000e0 * t302 * t313 - t519 + 0.5000000000e0 * t312 * t306;
  t523 = t58 * t522;
  t529 = 0.1e1 * t32 * t144;
  t515 = t299 * t147;
  t535 = t465 * t170;
  t551 = t512 * t183;
  t568 = t299 * t268;
  t574 = t465 * t285;
  t579 = t512 * t292;
  t554 = -0.1000000000e1 * t515 * t320 + 0.1000000000e1 * t329 * t147 + 0.1000000000e1 * t64 * (-0.5000000000e0 * t312 * t332 + 0.1e1 * t49 * t435 + 0.5000000000e0 * t316 * t438 - 0.1e1 * t53 * t459) - 0.1000000000e1 * t535 * t320 + 0.1000000000e1 * t476 * t170 + 0.1000000000e1 * t155 * (-0.5000000000e0 * t316 * t479 + 0.1e1 * t53 * t500 + 0.5000000000e0 * t302 * t332 + t506 - 0.1e1 * t33 * t435) - 0.1000000000e1 * t551 * t320 + 0.1000000000e1 * t523 * t183 + 0.1000000000e1 * t178 * (-0.5000000000e0 * t302 * t438 - t529 + 0.1e1 * t33 * t459 + 0.5000000000e0 * t312 * t479 - 0.1e1 * t49 * t500) - 0.1000000000e1 * t568 * t320 + 0.1000000000e1 * t329 * t268 - 0.1000000000e1 * t574 * t320 + 0.1000000000e1 * t476 * t285 - 0.1000000000e1 * t579 * t320 + 0.1000000000e1 * t523 * t292;
  t569 = -0.1000000000e1 * t64 * t165 - 0.1000000000e1 * t155 * t144 - 0.1000000000e1 * t178 * t132 - 0.1000000000e1 * t64 * t280 - 0.1000000000e1 * t155 * t265 - 0.1000000000e1 * t178 * t253 - 0.1e1 * K0[1];
  t598 = t299 * t165;
  t605 = t465 * t144;
  t614 = t512 * t132;
  t628 = t299 * t280;
  t633 = t465 * t265;
  t642 = t512 * t253;
  t606 = 0.1000000000e1 * t598 * t320 - 0.1000000000e1 * t329 * t165 - 0.1000000000e1 * t64 * t500 + 0.1000000000e1 * t605 * t320 - 0.1000000000e1 * t476 * t144 - 0.1000000000e1 * t155 * t459 + 0.1000000000e1 * t614 * t320 - 0.1000000000e1 * t523 * t132 - 0.1000000000e1 * t178 * t435 + 0.1000000000e1 * t628 * t320 - 0.1000000000e1 * t329 * t280 + 0.1000000000e1 * t633 * t320 - 0.1000000000e1 * t476 * t265 + 0.1000000000e1 * t642 * t320 - 0.1000000000e1 * t523 * t253;
  t612 = 0.1e1 / (0.5e0 * L0 + 0.5e0 * L1);
  t622 = (0.5e0 * vshear[0] + 0.5e0 * vshear[1]) * t8 * t12 * M_PI;
  t623 = t8 * t8;
  t624 = t12 * t12;
  t625 = t623 + t624;
  t626 = cos(rtx);
  t627 = t48 + t52 + t56;
  t634 = t63 * t116 + t154 * t109 + t177 * t102;
  t635 = t634 * t58;
  t637 = t627 * t116 + t154 * t102 - t177 * t109 + t635 * t63;
  t639 = sin(rtx);
  t644 = t627 * t102 + t63 * t109 - t154 * t116 + t635 * t177;
  t651 = t627 * t109 + t177 * t116 - t63 * t102 + t635 * t154;
  t663 = 0.1e1 - t626;
  t664 = (0.1e1 * t46 * t637 + 0.1e1 * t50 * t651 + 0.1e1 * t54 * t644) * t663;
  t667 = t626 * t637 + t639 * (0.1e1 * t50 * t644 - 0.1e1 * t54 * t651) + 0.1e1 * t664 * t46;
  t678 = t626 * t651 + t639 * (0.1e1 * t54 * t637 - 0.1e1 * t46 * t644) + 0.1e1 * t664 * t50;
  t689 = t626 * t644 + t639 * (0.1e1 * t46 * t651 - 0.1e1 * t50 * t637) + 0.1e1 * t664 * t54;
  t691 = t276 * t667 + t261 * t678 + t240 * t689;
  t695 = t237 * t667 + t230 * t678 + t223 * t689;
  t696 = atan2(t691, t695);
  t697 = theta2 - theta1 + rtx - t696 - twist0;
  t712 = (t328 * t116 + t63 * t408 + t475 * t109 + t154 * t395 + t522 * t102 + t177 * t381) * t58;
  t714 = t634 * t298;
  t741 = t714 * t63;
  t718 = t320 * t116 + t627 * t408 + t475 * t102 + t154 * t381 - t522 * t109 - t177 * t395 + t712 * t63 - t741 * t320 + t635 * t328;
  t752 = t714 * t177;
  t730 = t320 * t102 + t627 * t381 + t328 * t109 + t63 * t395 - t475 * t116 - t154 * t408 + t712 * t177 - t752 * t320 + t635 * t522;
  t764 = t714 * t154;
  t743 = t320 * t109 + t627 * t395 + t522 * t116 + t177 * t408 - t328 * t102 - t63 * t381 + t712 * t154 - t764 * t320 + t635 * t475;
  t755 = (0.1e1 * t46 * t718 + 0.1e1 * t50 * t743 + 0.1e1 * t54 * t730) * t663;
  t758 = t626 * t718 + t639 * (0.1e1 * t50 * t730 - 0.1e1 * t54 * t743) + 0.1e1 * t755 * t46;
  t769 = t626 * t743 + t639 * (0.1e1 * t54 * t718 - 0.1e1 * t46 * t730) + 0.1e1 * t755 * t50;
  t780 = t626 * t730 + t639 * (0.1e1 * t46 * t743 - 0.1e1 * t50 * t718) + 0.1e1 * t755 * t54;
  t783 = 0.1e1 / t695;
  t785 = t695 * t695;
  t786 = 0.1e1 / t785;
  t787 = t691 * t786;
  t795 = t691 * t691;
  t798 = 0.1e1 / (0.1e1 + t795 * t786);
  t804 = 0.2e1 * t59;
  t805 = 0.2e1 * t60;
  t806 = -t804 + t805;
  t807 = t46 * t806;
  t810 = t50 * t806;
  t813 = t54 * t806;
  t816 = -0.5000000000e0 * t302 * t807 - 0.5000000000e0 * t312 * t810 - t519 - 0.5000000000e0 * t316 * t813;
  t824 = -0.5000000000e0 * t312 * t813 - t474 + 0.5000000000e0 * t316 * t810;
  t825 = t58 * t824;
  t828 = t132 * t806;
  t831 = t22 * t806;
  t834 = t25 * t806;
  t837 = t28 * t806;
  t840 = -0.5000000000e0 * t335 * t831 - 0.5000000000e0 * t340 * t834 - t369 - 0.5000000000e0 * t344 * t837;
  t846 = -0.5000000000e0 * t340 * t837 + 0.5000000000e0 * t344 * t834 + t358;
  t852 = -0.5000000000e0 * t344 * t831 + 0.5000000000e0 * t335 * t837;
  t860 = -0.5000000000e0 * t335 * t834 - t339 + 0.5000000000e0 * t340 * t831;
  t863 = (t846 * t117 + t852 * t120 + t860 * t122) * t99;
  t868 = t840 * t122 + t846 * t120 - t852 * t117 + t863 * t95 - t404 * t840 + t100 * t860;
  t870 = t109 * t806;
  t880 = t840 * t120 + t860 * t117 - t846 * t122 + t863 * t87 - t413 * t840 + t100 * t852;
  t883 = t116 * t806;
  t893 = t840 * t117 + t852 * t122 - t860 * t120 + t863 * t81 - t421 * t840 + t100 * t846;
  t906 = t102 * t806;
  t912 = (-0.5000000000e0 * t302 * t883 + 0.1e1 * t33 * t893 - 0.5000000000e0 * t312 * t870 - t387 + 0.1e1 * t49 * t880 - 0.5000000000e0 * t316 * t906 + 0.1e1 * t53 * t868) * t128;
  t918 = t65 * t868 + t104 * (-0.5000000000e0 * t302 * t870 + 0.1e1 * t33 * t880 + 0.5000000000e0 * t312 * t883 + t416 - 0.1e1 * t49 * t893) + 0.1e1 * t912 * t53 - 0.5000000000e0 * t456 * t806;
  t921 = t144 * t806;
  t940 = t65 * t880 + t104 * (-0.5000000000e0 * t316 * t883 + 0.1e1 * t53 * t893 + 0.5000000000e0 * t302 * t906 - 0.1e1 * t33 * t868) + 0.1e1 * t912 * t49 - 0.5000000000e0 * t478 * t806 - t499;
  t953 = -0.5000000000e0 * t316 * t807 + 0.5000000000e0 * t302 * t813;
  t954 = t58 * t953;
  t957 = t165 * t806;
  t976 = t65 * t893 + t104 * (-0.5000000000e0 * t312 * t906 - t449 + 0.1e1 * t49 * t868 + 0.5000000000e0 * t316 * t870 - 0.1e1 * t53 * t880) + 0.1e1 * t912 * t33 - 0.5000000000e0 * t503 * t806;
  t993 = -0.5000000000e0 * t302 * t810 + 0.5000000000e0 * t312 * t807 + t311;
  t994 = t58 * t993;
  t1004 = 0.1e1 * t32 * t165;
  t1025 = -0.1000000000e1 * t515 * t816 + 0.1000000000e1 * t825 * t147 + 0.1000000000e1 * t64 * (-0.5000000000e0 * t312 * t828 - t506 + 0.1e1 * t49 * t918 + 0.5000000000e0 * t316 * t921 - 0.1e1 * t53 * t940) - 0.1000000000e1 * t535 * t816 + 0.1000000000e1 * t954 * t170 + 0.1000000000e1 * t155 * (-0.5000000000e0 * t316 * t957 + 0.1e1 * t53 * t976 + 0.5000000000e0 * t302 * t828 - 0.1e1 * t33 * t918) - 0.1000000000e1 * t551 * t816 + 0.1000000000e1 * t994 * t183 + 0.1000000000e1 * t178 * (-0.5000000000e0 * t302 * t921 + 0.1e1 * t33 * t940 + 0.5000000000e0 * t312 * t957 + t1004 - 0.1e1 * t49 * t976) - 0.1000000000e1 * t568 * t816 + 0.1000000000e1 * t825 * t268 - 0.1000000000e1 * t574 * t816 + 0.1000000000e1 * t954 * t285 - 0.1000000000e1 * t579 * t816 + 0.1000000000e1 * t994 * t292;
  t1063 = 0.1000000000e1 * t598 * t816 - 0.1000000000e1 * t825 * t165 - 0.1000000000e1 * t64 * t976 + 0.1000000000e1 * t605 * t816 - 0.1000000000e1 * t954 * t144 - 0.1000000000e1 * t155 * t940 + 0.1000000000e1 * t614 * t816 - 0.1000000000e1 * t994 * t132 - 0.1000000000e1 * t178 * t918 + 0.1000000000e1 * t628 * t816 - 0.1000000000e1 * t825 * t280 + 0.1000000000e1 * t633 * t816 - 0.1000000000e1 * t954 * t265 + 0.1000000000e1 * t642 * t816 - 0.1000000000e1 * t994 * t253;
  t1083 = (t824 * t116 + t63 * t893 + t953 * t109 + t154 * t880 + t993 * t102 + t177 * t868) * t58;
  t1088 = t816 * t116 + t627 * t893 + t953 * t102 + t154 * t868 - t993 * t109 - t177 * t880 + t1083 * t63 - t741 * t816 + t635 * t824;
  t1100 = t816 * t102 + t627 * t868 + t824 * t109 + t63 * t880 - t953 * t116 - t154 * t893 + t1083 * t177 - t752 * t816 + t635 * t993;
  t1113 = t816 * t109 + t627 * t880 + t993 * t116 + t177 * t893 - t824 * t102 - t63 * t868 + t1083 * t154 - t764 * t816 + t635 * t953;
  t1125 = (0.1e1 * t46 * t1088 + 0.1e1 * t50 * t1113 + 0.1e1 * t54 * t1100) * t663;
  t1128 = t626 * t1088 + t639 * (0.1e1 * t50 * t1100 - 0.1e1 * t54 * t1113) + 0.1e1 * t1125 * t46;
  t1139 = t626 * t1113 + t639 * (0.1e1 * t54 * t1088 - 0.1e1 * t46 * t1100) + 0.1e1 * t1125 * t50;
  t1150 = t626 * t1100 + t639 * (0.1e1 * t46 * t1113 - 0.1e1 * t50 * t1088) + 0.1e1 * t1125 * t54;
  t1166 = 0.2e1 * t62;
  t1167 = 0.2e1 * t67;
  t1168 = -t1166 + t1167;
  t1169 = t46 * t1168;
  t1172 = t50 * t1168;
  t1175 = t54 * t1168;
  t1178 = -0.5000000000e0 * t302 * t1169 - 0.5000000000e0 * t312 * t1172 - 0.5000000000e0 * t316 * t1175 - t474;
  t1186 = -0.5000000000e0 * t312 * t1175 + 0.5000000000e0 * t316 * t1172 + t519;
  t1187 = t58 * t1186;
  t1190 = t132 * t1168;
  t1193 = t22 * t1168;
  t1196 = t25 * t1168;
  t1199 = t28 * t1168;
  t1202 = -0.5000000000e0 * t335 * t1193 - 0.5000000000e0 * t340 * t1196 - 0.5000000000e0 * t344 * t1199 - t358;
  t1208 = -0.5000000000e0 * t340 * t1199 - t369 + 0.5000000000e0 * t344 * t1196;
  t1214 = -0.5000000000e0 * t344 * t1193 + 0.5000000000e0 * t335 * t1199 + t339;
  t1222 = -0.5000000000e0 * t335 * t1196 + 0.5000000000e0 * t340 * t1193;
  t1225 = (t1208 * t117 + t1214 * t120 + t1222 * t122) * t99;
  t1230 = t1202 * t122 + t1208 * t120 - t1214 * t117 + t1225 * t95 - t404 * t1202 + t100 * t1222;
  t1232 = t109 * t1168;
  t1242 = t1202 * t120 + t1222 * t117 - t1208 * t122 + t1225 * t87 - t413 * t1202 + t100 * t1214;
  t1245 = t116 * t1168;
  t1255 = t1202 * t117 + t1214 * t122 - t1222 * t120 + t1225 * t81 - t421 * t1202 + t100 * t1208;
  t1268 = t102 * t1168;
  t1274 = (-0.5000000000e0 * t302 * t1245 + 0.1e1 * t33 * t1255 - 0.5000000000e0 * t312 * t1232 + 0.1e1 * t49 * t1242 - 0.5000000000e0 * t316 * t1268 - t449 + 0.1e1 * t53 * t1230) * t128;
  t1280 = t65 * t1230 + t104 * (-0.5000000000e0 * t302 * t1232 + 0.1e1 * t33 * t1242 + 0.5000000000e0 * t312 * t1245 - 0.1e1 * t49 * t1255) + 0.1e1 * t1274 * t53 - 0.5000000000e0 * t456 * t1168 - t499;
  t1283 = t144 * t1168;
  t1302 = t65 * t1242 + t104 * (-0.5000000000e0 * t316 * t1245 - t416 + 0.1e1 * t53 * t1255 + 0.5000000000e0 * t302 * t1268 - 0.1e1 * t33 * t1230) + 0.1e1 * t1274 * t49 - 0.5000000000e0 * t478 * t1168;
  t1315 = -0.5000000000e0 * t316 * t1169 - t311 + 0.5000000000e0 * t302 * t1175;
  t1316 = t58 * t1315;
  t1319 = t165 * t1168;
  t1338 = t65 * t1255 + t104 * (-0.5000000000e0 * t312 * t1268 + 0.1e1 * t49 * t1230 + 0.5000000000e0 * t316 * t1232 + t387 - 0.1e1 * t53 * t1242) + 0.1e1 * t1274 * t33 - 0.5000000000e0 * t503 * t1168;
  t1355 = -0.5000000000e0 * t302 * t1172 + 0.5000000000e0 * t312 * t1169;
  t1356 = t58 * t1355;
  t1385 = -0.1000000000e1 * t515 * t1178 + 0.1000000000e1 * t1187 * t147 + 0.1000000000e1 * t64 * (-0.5000000000e0 * t312 * t1190 + 0.1e1 * t49 * t1280 + 0.5000000000e0 * t316 * t1283 + t529 - 0.1e1 * t53 * t1302) - 0.1000000000e1 * t535 * t1178 + 0.1000000000e1 * t1316 * t170 + 0.1000000000e1 * t155 * (-0.5000000000e0 * t316 * t1319 - t1004 + 0.1e1 * t53 * t1338 + 0.5000000000e0 * t302 * t1190 - 0.1e1 * t33 * t1280) - 0.1000000000e1 * t551 * t1178 + 0.1000000000e1 * t1356 * t183 + 0.1000000000e1 * t178 * (-0.5000000000e0 * t302 * t1283 + 0.1e1 * t33 * t1302 + 0.5000000000e0 * t312 * t1319 - 0.1e1 * t49 * t1338) - 0.1000000000e1 * t568 * t1178 + 0.1000000000e1 * t1187 * t268 - 0.1000000000e1 * t574 * t1178 + 0.1000000000e1 * t1316 * t285 - 0.1000000000e1 * t579 * t1178 + 0.1000000000e1 * t1356 * t292;
  t1423 = 0.1000000000e1 * t598 * t1178 - 0.1000000000e1 * t1187 * t165 - 0.1000000000e1 * t64 * t1338 + 0.1000000000e1 * t605 * t1178 - 0.1000000000e1 * t1316 * t144 - 0.1000000000e1 * t155 * t1302 + 0.1000000000e1 * t614 * t1178 - 0.1000000000e1 * t1356 * t132 - 0.1000000000e1 * t178 * t1280 + 0.1000000000e1 * t628 * t1178 - 0.1000000000e1 * t1187 * t280 + 0.1000000000e1 * t633 * t1178 - 0.1000000000e1 * t1316 * t265 + 0.1000000000e1 * t642 * t1178 - 0.1000000000e1 * t1356 * t253;
  t1443 = (t1186 * t116 + t63 * t1255 + t1315 * t109 + t154 * t1242 + t1355 * t102 + t177 * t1230) * t58;
  t1448 = t1178 * t116 + t627 * t1255 + t1315 * t102 + t154 * t1230 - t1355 * t109 - t177 * t1242 + t1443 * t63 - t741 * t1178 + t635 * t1186;
  t1460 = t1178 * t102 + t627 * t1230 + t1186 * t109 + t63 * t1242 - t1315 * t116 - t154 * t1255 + t1443 * t177 - t752 * t1178 + t635 * t1355;
  t1473 = t1178 * t109 + t627 * t1242 + t1355 * t116 + t177 * t1255 - t1186 * t102 - t63 * t1230 + t1443 * t154 - t764 * t1178 + t635 * t1315;
  t1485 = (0.1e1 * t46 * t1448 + 0.1e1 * t50 * t1473 + 0.1e1 * t54 * t1460) * t663;
  t1488 = t626 * t1448 + t639 * (0.1e1 * t50 * t1460 - 0.1e1 * t54 * t1473) + 0.1e1 * t1485 * t46;
  t1499 = t626 * t1473 + t639 * (0.1e1 * t54 * t1448 - 0.1e1 * t46 * t1460) + 0.1e1 * t1485 * t50;
  t1510 = t626 * t1460 + t639 * (0.1e1 * t46 * t1473 - 0.1e1 * t50 * t1448) + 0.1e1 * t1485 * t54;
  t1527 = 0.2e1 * t47 - t304;
  t1528 = t46 * t1527;
  t1532 = t45 / t43;
  t1533 = t1532 * t35;
  t1535 = -0.2e1 * t73 + t303;
  t1536 = t1533 * t1535;
  t1540 = 0.1e1 * t33 * t45;
  t1541 = t50 * t1527;
  t1544 = t1532 * t38;
  t1545 = t1544 * t1535;
  t1548 = t54 * t1527;
  t1551 = t1532 * t41;
  t1552 = t1551 * t1535;
  t1555 = -0.5000000000e0 * t302 * t1528 + t311 - 0.5000000000e0 * t33 * t1536 - t1540 - 0.5000000000e0 * t312 * t1541 - 0.5000000000e0 * t49 * t1545 - 0.5000000000e0 * t316 * t1548 - 0.5000000000e0 * t53 * t1552;
  t1567 = -0.5000000000e0 * t312 * t1548 - 0.5000000000e0 * t49 * t1552 + 0.5000000000e0 * t316 * t1541 + 0.5000000000e0 * t53 * t1545;
  t1568 = t58 * t1567;
  t1571 = t132 * t1527;
  t1574 = t22 * t1527;
  t1577 = t25 * t1527;
  t1580 = t28 * t1527;
  t1583 = -0.5000000000e0 * t335 * t1574 + t339 - 0.5000000000e0 * t340 * t1577 - 0.5000000000e0 * t344 * t1580;
  t1589 = -0.5000000000e0 * t340 * t1580 + 0.5000000000e0 * t344 * t1577;
  t1595 = -0.5000000000e0 * t344 * t1574 + t358 + 0.5000000000e0 * t335 * t1580;
  t1603 = -0.5000000000e0 * t335 * t1577 + 0.5000000000e0 * t340 * t1574 - t369;
  t1606 = (t1589 * t117 + t1595 * t120 + t1603 * t122) * t99;
  t1611 = t1583 * t122 + t1589 * t120 - t1595 * t117 + t1606 * t95 - t404 * t1583 + t100 * t1603;
  t1613 = t109 * t1527;
  t1623 = t1583 * t120 + t1603 * t117 - t1589 * t122 + t1606 * t87 - t413 * t1583 + t100 * t1595;
  t1626 = t116 * t1527;
  t1636 = t1583 * t117 + t1595 * t122 - t1603 * t120 + t1606 * t81 - t421 * t1583 + t100 * t1589;
  t1649 = t102 * t1527;
  t1655 = (-0.5000000000e0 * t302 * t1626 + t416 + 0.1e1 * t33 * t1636 - 0.5000000000e0 * t312 * t1613 + 0.1e1 * t49 * t1623 - 0.5000000000e0 * t316 * t1649 + 0.1e1 * t53 * t1611) * t128;
  t1661 = t65 * t1611 + t104 * (-0.5000000000e0 * t302 * t1613 + t387 + 0.1e1 * t33 * t1623 + 0.5000000000e0 * t312 * t1626 - 0.1e1 * t49 * t1636) + 0.1e1 * t1655 * t53 - 0.5000000000e0 * t456 * t1527;
  t1664 = t144 * t1527;
  t1683 = t65 * t1623 + t104 * (-0.5000000000e0 * t316 * t1626 + 0.1e1 * t53 * t1636 + 0.5000000000e0 * t302 * t1649 - t449 - 0.1e1 * t33 * t1611) + 0.1e1 * t1655 * t49 - 0.5000000000e0 * t478 * t1527;
  t1697 = 0.1e1 * t53 * t45;
  t1702 = -0.5000000000e0 * t316 * t1528 - 0.5000000000e0 * t53 * t1536 - t1697 + 0.5000000000e0 * t302 * t1548 - t474 + 0.5000000000e0 * t33 * t1552;
  t1703 = t58 * t1702;
  t1706 = t165 * t1527;
  t1725 = t65 * t1636 + t104 * (-0.5000000000e0 * t312 * t1649 + 0.1e1 * t49 * t1611 + 0.5000000000e0 * t316 * t1613 - 0.1e1 * t53 * t1623) + 0.1e1 * t1655 * t33 - 0.5000000000e0 * t503 * t1527 + t499;
  t1747 = 0.1e1 * t49 * t45;
  t1748 = -0.5000000000e0 * t302 * t1541 + t519 - 0.5000000000e0 * t33 * t1545 + 0.5000000000e0 * t312 * t1528 + 0.5000000000e0 * t49 * t1536 + t1747;
  t1749 = t58 * t1748;
  t1768 = t253 * t1535;
  t1771 = t211 * t1532;
  t1772 = t35 * t1535;
  t1775 = 0.1e1 * t187;
  t1776 = t213 * t1532;
  t1777 = t38 * t1535;
  t1780 = t215 * t1532;
  t1781 = t41 * t1535;
  t1784 = -0.5000000000e0 * t1771 * t1772 - t1775 - 0.5000000000e0 * t1776 * t1777 - 0.5000000000e0 * t1780 * t1781;
  t1790 = -0.5000000000e0 * t1776 * t1781 + 0.5000000000e0 * t1780 * t1777;
  t1794 = 0.1e1 * t193;
  t1797 = -0.5000000000e0 * t1780 * t1772 - t1794 + 0.5000000000e0 * t1771 * t1781;
  t1805 = 0.1e1 * t190;
  t1806 = -0.5000000000e0 * t1771 * t1777 + 0.5000000000e0 * t1776 * t1772 + t1805;
  t1809 = (t1790 * t238 + t1797 * t241 + t1806 * t243) * t220;
  t1811 = t219 * t219;
  t1813 = t218 / t1811;
  t1640 = t1813 * t216;
  t1817 = t1784 * t243 + t1790 * t241 - t1797 * t238 + t1809 * t216 - t1640 * t1784 + t221 * t1806;
  t1819 = t230 * t1535;
  t1823 = 0.1e1 * t45 * t230;
  t1648 = t1813 * t208;
  t1831 = t1784 * t241 + t1806 * t238 - t1790 * t243 + t1809 * t208 - t1648 * t1784 + t221 * t1797;
  t1834 = t237 * t1535;
  t1657 = t1813 * t202;
  t1844 = t1784 * t238 + t1797 * t243 - t1806 * t241 + t1809 * t202 - t1657 * t1784 + t221 * t1790;
  t1847 = -0.5000000000e0 * t1533 * t1819 - t1823 + 0.1e1 * t46 * t1831 + 0.5000000000e0 * t1544 * t1834 - 0.1e1 * t50 * t1844;
  t1852 = 0.1e1 * t45 * t237;
  t1859 = t223 * t1535;
  t1865 = (-0.5000000000e0 * t1533 * t1834 - t1852 + 0.1e1 * t46 * t1844 - 0.5000000000e0 * t1544 * t1819 + 0.1e1 * t50 * t1831 - 0.5000000000e0 * t1551 * t1859 + 0.1e1 * t54 * t1817) * t249;
  t1870 = t186 * t1817 + t225 * t1847 + 0.1e1 * t1865 * t54 - 0.5000000000e0 * t250 * t1552;
  t1873 = t265 * t1535;
  t1884 = 0.1e1 * t45 * t223;
  t1887 = -0.5000000000e0 * t1551 * t1834 + 0.1e1 * t54 * t1844 + 0.5000000000e0 * t1533 * t1859 + t1884 - 0.1e1 * t46 * t1817;
  t1893 = t186 * t1831 + t225 * t1887 + 0.1e1 * t1865 * t50 - 0.5000000000e0 * t1545 * t250;
  t1904 = t280 * t1535;
  t1916 = -0.5000000000e0 * t1544 * t1859 + 0.1e1 * t50 * t1817 + 0.5000000000e0 * t1551 * t1819 - 0.1e1 * t54 * t1831;
  t1923 = 0.1e1 * t250 * t45;
  t1924 = t186 * t1844 + t225 * t1916 + 0.1e1 * t1865 * t46 - 0.5000000000e0 * t250 * t1536 - t1923;
  t1930 = 0.1e1 * t45 * t253;
  t1944 = 0.1e1 * t45 * t265;
  t1954 = -0.1000000000e1 * t515 * t1555 + 0.1000000000e1 * t1568 * t147 + 0.1000000000e1 * t64 * (-0.5000000000e0 * t312 * t1571 + 0.1e1 * t49 * t1661 + 0.5000000000e0 * t316 * t1664 - 0.1e1 * t53 * t1683) - 0.1000000000e1 * t535 * t1555 + 0.1000000000e1 * t1703 * t170 + 0.1000000000e1 * t155 * (-0.5000000000e0 * t316 * t1706 + 0.1e1 * t53 * t1725 + 0.5000000000e0 * t302 * t1571 - t506 - 0.1e1 * t33 * t1661) - 0.1000000000e1 * t551 * t1555 + 0.1000000000e1 * t1749 * t183 + 0.1000000000e1 * t178 * (-0.5000000000e0 * t302 * t1664 + t529 + 0.1e1 * t33 * t1683 + 0.5000000000e0 * t312 * t1706 - 0.1e1 * t49 * t1725) - 0.1000000000e1 * t568 * t1555 + 0.1000000000e1 * t1568 * t268 + 0.1000000000e1 * t64 * (-0.5000000000e0 * t1544 * t1768 + 0.1e1 * t50 * t1870 + 0.5000000000e0 * t1551 * t1873 - 0.1e1 * t54 * t1893) - 0.1000000000e1 * t574 * t1555 + 0.1000000000e1 * t1703 * t285 + 0.1000000000e1 * t155 * (-0.5000000000e0 * t1551 * t1904 + 0.1e1 * t54 * t1924 + 0.5000000000e0 * t1533 * t1768 + t1930 - 0.1e1 * t46 * t1870) - 0.1000000000e1 * t579 * t1555 + 0.1000000000e1 * t1749 * t292 + 0.1000000000e1 * t178 * (-0.5000000000e0 * t1533 * t1873 - t1944 + 0.1e1 * t46 * t1893 + 0.5000000000e0 * t1544 * t1904 - 0.1e1 * t50 * t1924);
  t1998 = 0.1000000000e1 * t598 * t1555 - 0.1000000000e1 * t1568 * t165 - 0.1000000000e1 * t64 * t1725 + 0.1000000000e1 * t605 * t1555 - 0.1000000000e1 * t1703 * t144 - 0.1000000000e1 * t155 * t1683 + 0.1000000000e1 * t614 * t1555 - 0.1000000000e1 * t1749 * t132 - 0.1000000000e1 * t178 * t1661 + 0.1000000000e1 * t628 * t1555 - 0.1000000000e1 * t1568 * t280 - 0.1000000000e1 * t64 * t1924 + 0.1000000000e1 * t633 * t1555 - 0.1000000000e1 * t1703 * t265 - 0.1000000000e1 * t155 * t1893 + 0.1000000000e1 * t642 * t1555 - 0.1000000000e1 * t1749 * t253 - 0.1000000000e1 * t178 * t1870;
  t2019 = (t1567 * t116 + t63 * t1636 + t1702 * t109 + t154 * t1623 + t1748 * t102 + t177 * t1611) * t58;
  t2024 = t1555 * t116 + t627 * t1636 + t1702 * t102 + t154 * t1611 - t1748 * t109 - t177 * t1623 + t2019 * t63 - t741 * t1555 + t635 * t1567;
  t2026 = t644 * t1535;
  t2039 = t1555 * t102 + t627 * t1611 + t1567 * t109 + t63 * t1623 - t1702 * t116 - t154 * t1636 + t2019 * t177 - t752 * t1555 + t635 * t1748;
  t2042 = t651 * t1535;
  t2055 = t1555 * t109 + t627 * t1623 + t1748 * t116 + t177 * t1636 - t1567 * t102 - t63 * t1611 + t154 * t2019 - t764 * t1555 + t635 * t1702;
  t2060 = t637 * t1535;
  t2064 = 0.1e1 * t45 * t637;
  t2076 = (-0.5000000000e0 * t1533 * t2060 - t2064 + 0.1e1 * t46 * t2024 - 0.5000000000e0 * t1544 * t2042 + 0.1e1 * t50 * t2055 - 0.5000000000e0 * t1551 * t2026 + 0.1e1 * t54 * t2039) * t663;
  t2082 = 0.1e1 * t664 * t45;
  t2083 = t626 * t2024 + t639 * (-0.5000000000e0 * t1544 * t2026 + 0.1e1 * t50 * t2039 + 0.5000000000e0 * t1551 * t2042 - 0.1e1 * t54 * t2055) + 0.1e1 * t2076 * t46 - 0.5000000000e0 * t664 * t1536 - t2082;
  t2094 = 0.1e1 * t45 * t644;
  t2103 = t626 * t2055 + t639 * (-0.5000000000e0 * t1551 * t2060 + 0.1e1 * t54 * t2024 + 0.5000000000e0 * t1533 * t2026 + t2094 - 0.1e1 * t46 * t2039) + 0.1e1 * t2076 * t50 - 0.5000000000e0 * t664 * t1545;
  t2110 = 0.1e1 * t45 * t651;
  t2123 = t626 * t2039 + t639 * (-0.5000000000e0 * t1533 * t2042 - t2110 + 0.1e1 * t46 * t2055 + 0.5000000000e0 * t1544 * t2060 - 0.1e1 * t50 * t2024) + 0.1e1 * t2076 * t54 - 0.5000000000e0 * t664 * t1552;
  t2143 = 0.2e1 * t59 - t805;
  t2144 = t46 * t2143;
  t2148 = -0.2e1 * t77 + t804;
  t2149 = t1533 * t2148;
  t2152 = t50 * t2143;
  t2155 = t1544 * t2148;
  t2158 = t54 * t2143;
  t2161 = t1551 * t2148;
  t2164 = -0.5000000000e0 * t302 * t2144 - 0.5000000000e0 * t33 * t2149 - 0.5000000000e0 * t312 * t2152 + t519 - 0.5000000000e0 * t49 * t2155 - t1747 - 0.5000000000e0 * t316 * t2158 - 0.5000000000e0 * t53 * t2161;
  t2176 = -0.5000000000e0 * t312 * t2158 + t474 - 0.5000000000e0 * t49 * t2161 + 0.5000000000e0 * t316 * t2152 + 0.5000000000e0 * t53 * t2155 + t1697;
  t2177 = t58 * t2176;
  t2180 = t132 * t2143;
  t2183 = t22 * t2143;
  t2186 = t25 * t2143;
  t2189 = t28 * t2143;
  t2192 = -0.5000000000e0 * t335 * t2183 - 0.5000000000e0 * t340 * t2186 + t369 - 0.5000000000e0 * t344 * t2189;
  t2198 = -0.5000000000e0 * t340 * t2189 + 0.5000000000e0 * t344 * t2186 - t358;
  t2204 = -0.5000000000e0 * t344 * t2183 + 0.5000000000e0 * t335 * t2189;
  t2212 = -0.5000000000e0 * t335 * t2186 + t339 + 0.5000000000e0 * t340 * t2183;
  t2215 = (t2198 * t117 + t2204 * t120 + t2212 * t122) * t99;
  t2220 = t2192 * t122 + t2198 * t120 - t2204 * t117 + t2215 * t95 - t404 * t2192 + t100 * t2212;
  t2222 = t109 * t2143;
  t2232 = t2192 * t120 + t2212 * t117 - t2198 * t122 + t2215 * t87 - t413 * t2192 + t100 * t2204;
  t2235 = t116 * t2143;
  t2245 = t2192 * t117 + t2204 * t122 - t2212 * t120 + t2215 * t81 - t421 * t2192 + t100 * t2198;
  t2258 = t102 * t2143;
  t2264 = (-0.5000000000e0 * t302 * t2235 + 0.1e1 * t33 * t2245 - 0.5000000000e0 * t312 * t2222 + t387 + 0.1e1 * t49 * t2232 - 0.5000000000e0 * t316 * t2258 + 0.1e1 * t53 * t2220) * t128;
  t2270 = t65 * t2220 + t104 * (-0.5000000000e0 * t302 * t2222 + 0.1e1 * t33 * t2232 + 0.5000000000e0 * t312 * t2235 - t416 - 0.1e1 * t49 * t2245) + 0.1e1 * t2264 * t53 - 0.5000000000e0 * t456 * t2143;
  t2273 = t144 * t2143;
  t2292 = t65 * t2232 + t104 * (-0.5000000000e0 * t316 * t2235 + 0.1e1 * t53 * t2245 + 0.5000000000e0 * t302 * t2258 - 0.1e1 * t33 * t2220) + 0.1e1 * t2264 * t49 - 0.5000000000e0 * t478 * t2143 + t499;
  t2309 = -0.5000000000e0 * t316 * t2144 - 0.5000000000e0 * t53 * t2149 + 0.5000000000e0 * t302 * t2158 + 0.5000000000e0 * t33 * t2161;
  t2310 = t58 * t2309;
  t2313 = t165 * t2143;
  t2332 = t65 * t2245 + t104 * (-0.5000000000e0 * t312 * t2258 + t449 + 0.1e1 * t49 * t2220 + 0.5000000000e0 * t316 * t2222 - 0.1e1 * t53 * t2232) + 0.1e1 * t2264 * t33 - 0.5000000000e0 * t503 * t2143;
  t2353 = -0.5000000000e0 * t302 * t2152 - 0.5000000000e0 * t33 * t2155 - t1540 + 0.5000000000e0 * t312 * t2144 - t311 + 0.5000000000e0 * t49 * t2149;
  t2354 = t58 * t2353;
  t2373 = t253 * t2148;
  t2376 = t35 * t2148;
  t2379 = t38 * t2148;
  t2382 = t41 * t2148;
  t2385 = -0.5000000000e0 * t1771 * t2376 - 0.5000000000e0 * t1776 * t2379 - t1805 - 0.5000000000e0 * t1780 * t2382;
  t2391 = -0.5000000000e0 * t1776 * t2382 + 0.5000000000e0 * t1780 * t2379 + t1794;
  t2397 = -0.5000000000e0 * t1780 * t2376 + 0.5000000000e0 * t1771 * t2382;
  t2405 = -0.5000000000e0 * t1771 * t2379 - t1775 + 0.5000000000e0 * t1776 * t2376;
  t2408 = (t2391 * t238 + t2397 * t241 + t2405 * t243) * t220;
  t2413 = t2385 * t243 + t2391 * t241 - t2397 * t238 + t2408 * t216 - t1640 * t2385 + t221 * t2405;
  t2415 = t230 * t2148;
  t2425 = t2385 * t241 + t2405 * t238 - t2391 * t243 + t2408 * t208 - t1648 * t2385 + t221 * t2397;
  t2428 = t237 * t2148;
  t2438 = t2385 * t238 + t2397 * t243 - t2405 * t241 + t2408 * t202 - t1657 * t2385 + t221 * t2391;
  t2441 = -0.5000000000e0 * t1533 * t2415 + 0.1e1 * t46 * t2425 + 0.5000000000e0 * t1544 * t2428 + t1852 - 0.1e1 * t50 * t2438;
  t2451 = t223 * t2148;
  t2457 = (-0.5000000000e0 * t1533 * t2428 + 0.1e1 * t46 * t2438 - 0.5000000000e0 * t1544 * t2415 - t1823 + 0.1e1 * t50 * t2425 - 0.5000000000e0 * t1551 * t2451 + 0.1e1 * t54 * t2413) * t249;
  t2462 = t186 * t2413 + t225 * t2441 + 0.1e1 * t2457 * t54 - 0.5000000000e0 * t250 * t2161;
  t2465 = t265 * t2148;
  t2477 = -0.5000000000e0 * t1551 * t2428 + 0.1e1 * t54 * t2438 + 0.5000000000e0 * t1533 * t2451 - 0.1e1 * t46 * t2413;
  t2483 = t186 * t2425 + t225 * t2477 + 0.1e1 * t2457 * t50 - 0.5000000000e0 * t250 * t2155 - t1923;
  t2494 = t280 * t2148;
  t2506 = -0.5000000000e0 * t1544 * t2451 - t1884 + 0.1e1 * t50 * t2413 + 0.5000000000e0 * t1551 * t2415 - 0.1e1 * t54 * t2425;
  t2512 = t186 * t2438 + t225 * t2506 + 0.1e1 * t2457 * t46 - 0.5000000000e0 * t250 * t2149;
  t2534 = 0.1e1 * t45 * t280;
  t2540 = -0.1000000000e1 * t515 * t2164 + 0.1000000000e1 * t2177 * t147 + 0.1000000000e1 * t64 * (-0.5000000000e0 * t312 * t2180 + t506 + 0.1e1 * t49 * t2270 + 0.5000000000e0 * t316 * t2273 - 0.1e1 * t53 * t2292) - 0.1000000000e1 * t535 * t2164 + 0.1000000000e1 * t2310 * t170 + 0.1000000000e1 * t155 * (-0.5000000000e0 * t316 * t2313 + 0.1e1 * t53 * t2332 + 0.5000000000e0 * t302 * t2180 - 0.1e1 * t33 * t2270) - 0.1000000000e1 * t551 * t2164 + 0.1000000000e1 * t2354 * t183 + 0.1000000000e1 * t178 * (-0.5000000000e0 * t302 * t2273 + 0.1e1 * t33 * t2292 + 0.5000000000e0 * t312 * t2313 - t1004 - 0.1e1 * t49 * t2332) - 0.1000000000e1 * t568 * t2164 + 0.1000000000e1 * t2177 * t268 + 0.1000000000e1 * t64 * (-0.5000000000e0 * t1544 * t2373 - t1930 + 0.1e1 * t50 * t2462 + 0.5000000000e0 * t1551 * t2465 - 0.1e1 * t54 * t2483) - 0.1000000000e1 * t574 * t2164 + 0.1000000000e1 * t2310 * t285 + 0.1000000000e1 * t155 * (-0.5000000000e0 * t1551 * t2494 + 0.1e1 * t54 * t2512 + 0.5000000000e0 * t1533 * t2373 - 0.1e1 * t46 * t2462) - 0.1000000000e1 * t579 * t2164 + 0.1000000000e1 * t2354 * t292 + 0.1000000000e1 * t178 * (-0.5000000000e0 * t1533 * t2465 + 0.1e1 * t46 * t2483 + 0.5000000000e0 * t1544 * t2494 + t2534 - 0.1e1 * t50 * t2512);
  t2584 = 0.1000000000e1 * t598 * t2164 - 0.1000000000e1 * t2177 * t165 - 0.1000000000e1 * t64 * t2332 + 0.1000000000e1 * t605 * t2164 - 0.1000000000e1 * t2310 * t144 - 0.1000000000e1 * t155 * t2292 + 0.1000000000e1 * t614 * t2164 - 0.1000000000e1 * t2354 * t132 - 0.1000000000e1 * t178 * t2270 + 0.1000000000e1 * t628 * t2164 - 0.1000000000e1 * t2177 * t280 - 0.1000000000e1 * t64 * t2512 + 0.1000000000e1 * t633 * t2164 - 0.1000000000e1 * t2310 * t265 - 0.1000000000e1 * t155 * t2483 + 0.1000000000e1 * t642 * t2164 - 0.1000000000e1 * t2354 * t253 - 0.1000000000e1 * t178 * t2462;
  t2605 = (t2176 * t116 + t63 * t2245 + t2309 * t109 + t154 * t2232 + t2353 * t102 + t177 * t2220) * t58;
  t2610 = t2164 * t116 + t2245 * t627 + t2309 * t102 + t154 * t2220 - t2353 * t109 - t177 * t2232 + t2605 * t63 - t741 * t2164 + t635 * t2176;
  t2612 = t644 * t2148;
  t2625 = t2164 * t102 + t627 * t2220 + t2176 * t109 + t63 * t2232 - t2309 * t116 - t154 * t2245 + t2605 * t177 - t752 * t2164 + t635 * t2353;
  t2628 = t651 * t2148;
  t2641 = t2164 * t109 + t627 * t2232 + t2353 * t116 + t177 * t2245 - t2176 * t102 - t63 * t2220 + t2605 * t154 - t764 * t2164 + t635 * t2309;
  t2646 = t637 * t2148;
  t2660 = (-0.5000000000e0 * t1533 * t2646 + 0.1e1 * t46 * t2610 - 0.5000000000e0 * t1544 * t2628 - t2110 + 0.1e1 * t50 * t2641 - 0.5000000000e0 * t1551 * t2612 + 0.1e1 * t54 * t2625) * t663;
  t2665 = t626 * t2610 + t639 * (-0.5000000000e0 * t1544 * t2612 - t2094 + 0.1e1 * t50 * t2625 + 0.5000000000e0 * t1551 * t2628 - 0.1e1 * t54 * t2641) + 0.1e1 * t2660 * t46 - 0.5000000000e0 * t664 * t2149;
  t2683 = t626 * t2641 + t639 * (-0.5000000000e0 * t1551 * t2646 + 0.1e1 * t54 * t2610 + 0.5000000000e0 * t1533 * t2612 - 0.1e1 * t46 * t2625) + 0.1e1 * t2660 * t50 - 0.5000000000e0 * t664 * t2155 - t2082;
  t2701 = t626 * t2625 + t639 * (-0.5000000000e0 * t1533 * t2628 + 0.1e1 * t46 * t2641 + 0.5000000000e0 * t1544 * t2646 + t2064 - 0.1e1 * t50 * t2610) + 0.1e1 * t2660 * t54 - 0.5000000000e0 * t664 * t2161;
  t2721 = 0.2e1 * t62 - t1167;
  t2722 = t46 * t2721;
  t2726 = -0.2e1 * t79 + t1166;
  t2727 = t1533 * t2726;
  t2730 = t50 * t2721;
  t2733 = t1544 * t2726;
  t2736 = t54 * t2721;
  t2739 = t1551 * t2726;
  t2742 = -0.5000000000e0 * t302 * t2722 - 0.5000000000e0 * t33 * t2727 - 0.5000000000e0 * t312 * t2730 - 0.5000000000e0 * t49 * t2733 - 0.5000000000e0 * t316 * t2736 + t474 - 0.5000000000e0 * t53 * t2739 - t1697;
  t2754 = -0.5000000000e0 * t312 * t2736 - 0.5000000000e0 * t49 * t2739 - t1747 + 0.5000000000e0 * t316 * t2730 - t519 + 0.5000000000e0 * t53 * t2733;
  t2755 = t58 * t2754;
  t2758 = t132 * t2721;
  t2761 = t22 * t2721;
  t2764 = t25 * t2721;
  t2767 = t28 * t2721;
  t2770 = -0.5000000000e0 * t335 * t2761 - 0.5000000000e0 * t340 * t2764 - 0.5000000000e0 * t344 * t2767 + t358;
  t2776 = -0.5000000000e0 * t340 * t2767 + t369 + 0.5000000000e0 * t344 * t2764;
  t2782 = -0.5000000000e0 * t344 * t2761 + 0.5000000000e0 * t335 * t2767 - t339;
  t2790 = -0.5000000000e0 * t335 * t2764 + 0.5000000000e0 * t340 * t2761;
  t2793 = (t2776 * t117 + t2782 * t120 + t2790 * t122) * t99;
  t2798 = t2770 * t122 + t2776 * t120 - t2782 * t117 + t2793 * t95 - t404 * t2770 + t100 * t2790;
  t2800 = t109 * t2721;
  t2810 = t2770 * t120 + t2790 * t117 - t2776 * t122 + t2793 * t87 - t413 * t2770 + t100 * t2782;
  t2813 = t116 * t2721;
  t2823 = t2770 * t117 + t2782 * t122 - t2790 * t120 + t2793 * t81 - t421 * t2770 + t100 * t2776;
  t2836 = t102 * t2721;
  t2842 = (-0.5000000000e0 * t302 * t2813 + 0.1e1 * t33 * t2823 - 0.5000000000e0 * t312 * t2800 + 0.1e1 * t49 * t2810 - 0.5000000000e0 * t316 * t2836 + t449 + 0.1e1 * t53 * t2798) * t128;
  t2848 = t65 * t2798 + t104 * (-0.5000000000e0 * t302 * t2800 + 0.1e1 * t33 * t2810 + 0.5000000000e0 * t312 * t2813 - 0.1e1 * t49 * t2823) + 0.1e1 * t2842 * t53 - 0.5000000000e0 * t456 * t2721 + t499;
  t2851 = t144 * t2721;
  t2870 = t65 * t2810 + t104 * (-0.5000000000e0 * t316 * t2813 + t416 + 0.1e1 * t53 * t2823 + 0.5000000000e0 * t302 * t2836 - 0.1e1 * t33 * t2798) + 0.1e1 * t2842 * t49 - 0.5000000000e0 * t478 * t2721;
  t2887 = -0.5000000000e0 * t316 * t2722 + t311 - 0.5000000000e0 * t53 * t2727 + 0.5000000000e0 * t302 * t2736 + 0.5000000000e0 * t33 * t2739 + t1540;
  t2888 = t58 * t2887;
  t2891 = t165 * t2721;
  t2910 = t65 * t2823 + t104 * (-0.5000000000e0 * t312 * t2836 + 0.1e1 * t49 * t2798 + 0.5000000000e0 * t316 * t2800 - t387 - 0.1e1 * t53 * t2810) + 0.1e1 * t2842 * t33 - 0.5000000000e0 * t503 * t2721;
  t2931 = -0.5000000000e0 * t302 * t2730 - 0.5000000000e0 * t33 * t2733 + 0.5000000000e0 * t312 * t2722 + 0.5000000000e0 * t49 * t2727;
  t2932 = t58 * t2931;
  t2951 = t253 * t2726;
  t2954 = t35 * t2726;
  t2957 = t38 * t2726;
  t2960 = t41 * t2726;
  t2963 = -0.5000000000e0 * t1771 * t2954 - 0.5000000000e0 * t1776 * t2957 - 0.5000000000e0 * t1780 * t2960 - t1794;
  t2969 = -0.5000000000e0 * t1776 * t2960 - t1805 + 0.5000000000e0 * t1780 * t2957;
  t2975 = -0.5000000000e0 * t1780 * t2954 + 0.5000000000e0 * t1771 * t2960 + t1775;
  t2983 = -0.5000000000e0 * t1771 * t2957 + 0.5000000000e0 * t1776 * t2954;
  t2986 = (t2969 * t238 + t2975 * t241 + t2983 * t243) * t220;
  t2991 = t2963 * t243 + t2969 * t241 - t2975 * t238 + t2986 * t216 - t1640 * t2963 + t221 * t2983;
  t2993 = t230 * t2726;
  t3003 = t2963 * t241 + t2983 * t238 - t2969 * t243 + t2986 * t208 - t1648 * t2963 + t221 * t2975;
  t3006 = t237 * t2726;
  t3016 = t2963 * t238 + t2975 * t243 - t2983 * t241 + t2986 * t202 - t1657 * t2963 + t221 * t2969;
  t3019 = -0.5000000000e0 * t1533 * t2993 + 0.1e1 * t46 * t3003 + 0.5000000000e0 * t1544 * t3006 - 0.1e1 * t50 * t3016;
  t3029 = t223 * t2726;
  t3035 = (-0.5000000000e0 * t1533 * t3006 + 0.1e1 * t46 * t3016 - 0.5000000000e0 * t1544 * t2993 + 0.1e1 * t50 * t3003 - 0.5000000000e0 * t1551 * t3029 - t1884 + 0.1e1 * t54 * t2991) * t249;
  t3040 = t186 * t2991 + t225 * t3019 + 0.1e1 * t3035 * t54 - 0.5000000000e0 * t250 * t2739 - t1923;
  t3043 = t265 * t2726;
  t3055 = -0.5000000000e0 * t1551 * t3006 - t1852 + 0.1e1 * t54 * t3016 + 0.5000000000e0 * t1533 * t3029 - 0.1e1 * t46 * t2991;
  t3061 = t186 * t3003 + t225 * t3055 + 0.1e1 * t3035 * t50 - 0.5000000000e0 * t250 * t2733;
  t3072 = t280 * t2726;
  t3084 = -0.5000000000e0 * t1544 * t3029 + 0.1e1 * t50 * t2991 + 0.5000000000e0 * t1551 * t2993 + t1823 - 0.1e1 * t54 * t3003;
  t3090 = t186 * t3016 + t225 * t3084 + 0.1e1 * t3035 * t46 - 0.5000000000e0 * t250 * t2727;
  t3116 = -0.1000000000e1 * t515 * t2742 + 0.1000000000e1 * t2755 * t147 + 0.1000000000e1 * t64 * (-0.5000000000e0 * t312 * t2758 + 0.1e1 * t49 * t2848 + 0.5000000000e0 * t316 * t2851 - t529 - 0.1e1 * t53 * t2870) - 0.1000000000e1 * t535 * t2742 + 0.1000000000e1 * t2888 * t170 + 0.1000000000e1 * t155 * (-0.5000000000e0 * t316 * t2891 + t1004 + 0.1e1 * t53 * t2910 + 0.5000000000e0 * t302 * t2758 - 0.1e1 * t33 * t2848) - 0.1000000000e1 * t551 * t2742 + 0.1000000000e1 * t2932 * t183 + 0.1000000000e1 * t178 * (-0.5000000000e0 * t302 * t2851 + 0.1e1 * t33 * t2870 + 0.5000000000e0 * t312 * t2891 - 0.1e1 * t49 * t2910) - 0.1000000000e1 * t568 * t2742 + 0.1000000000e1 * t2755 * t268 + 0.1000000000e1 * t64 * (-0.5000000000e0 * t1544 * t2951 + 0.1e1 * t50 * t3040 + 0.5000000000e0 * t1551 * t3043 + t1944 - 0.1e1 * t54 * t3061) - 0.1000000000e1 * t574 * t2742 + 0.1000000000e1 * t2888 * t285 + 0.1000000000e1 * t155 * (-0.5000000000e0 * t1551 * t3072 - t2534 + 0.1e1 * t54 * t3090 + 0.5000000000e0 * t1533 * t2951 - 0.1e1 * t46 * t3040) - 0.1000000000e1 * t579 * t2742 + 0.1000000000e1 * t2932 * t292 + 0.1000000000e1 * t178 * (-0.5000000000e0 * t1533 * t3043 + 0.1e1 * t46 * t3061 + 0.5000000000e0 * t1544 * t3072 - 0.1e1 * t50 * t3090);
  t3160 = 0.1000000000e1 * t598 * t2742 - 0.1000000000e1 * t2755 * t165 - 0.1000000000e1 * t64 * t2910 + 0.1000000000e1 * t605 * t2742 - 0.1000000000e1 * t2888 * t144 - 0.1000000000e1 * t155 * t2870 + 0.1000000000e1 * t614 * t2742 - 0.1000000000e1 * t2932 * t132 - 0.1000000000e1 * t178 * t2848 + 0.1000000000e1 * t628 * t2742 - 0.1000000000e1 * t2755 * t280 - 0.1000000000e1 * t64 * t3090 + 0.1000000000e1 * t633 * t2742 - 0.1000000000e1 * t2888 * t265 - 0.1000000000e1 * t155 * t3061 + 0.1000000000e1 * t642 * t2742 - 0.1000000000e1 * t2932 * t253 - 0.1000000000e1 * t178 * t3040;
  t3181 = (t2754 * t116 + t63 * t2823 + t2887 * t109 + t154 * t2810 + t2931 * t102 + t177 * t2798) * t58;
  t3186 = t2742 * t116 + t627 * t2823 + t2887 * t102 + t154 * t2798 - t2931 * t109 - t177 * t2810 + t3181 * t63 - t741 * t2742 + t635 * t2754;
  t3188 = t644 * t2726;
  t3201 = t2742 * t102 + t627 * t2798 + t2754 * t109 + t63 * t2810 - t2887 * t116 - t154 * t2823 + t3181 * t177 - t752 * t2742 + t635 * t2931;
  t3204 = t651 * t2726;
  t3217 = t2742 * t109 + t627 * t2810 + t2931 * t116 + t177 * t2823 - t2754 * t102 - t63 * t2798 + t3181 * t154 - t764 * t2742 + t635 * t2887;
  t3222 = t637 * t2726;
  t3236 = (-0.5000000000e0 * t1533 * t3222 + 0.1e1 * t46 * t3186 - 0.5000000000e0 * t1544 * t3204 + 0.1e1 * t50 * t3217 - 0.5000000000e0 * t1551 * t3188 - t2094 + 0.1e1 * t54 * t3201) * t663;
  t3241 = t626 * t3186 + t639 * (-0.5000000000e0 * t1544 * t3188 + 0.1e1 * t50 * t3201 + 0.5000000000e0 * t1551 * t3204 + t2110 - 0.1e1 * t54 * t3217) + 0.1e1 * t3236 * t46 - 0.5000000000e0 * t664 * t2727;
  t3259 = t626 * t3217 + t639 * (-0.5000000000e0 * t1551 * t3222 - t2064 + 0.1e1 * t54 * t3186 + 0.5000000000e0 * t1533 * t3188 - 0.1e1 * t46 * t3201) + 0.1e1 * t3236 * t50 - 0.5000000000e0 * t664 * t2733;
  t3277 = t626 * t3201 + t639 * (-0.5000000000e0 * t1533 * t3204 + 0.1e1 * t46 * t3217 + 0.5000000000e0 * t1544 * t3222 - 0.1e1 * t50 * t3186) + 0.1e1 * t3236 * t54 - 0.5000000000e0 * t664 * t2739 - t2082;
  t3297 = 0.2e1 * t73 - t303;
  t3298 = t1533 * t3297;
  t3301 = t1544 * t3297;
  t3304 = t1551 * t3297;
  t3307 = -0.5000000000e0 * t33 * t3298 + t1540 - 0.5000000000e0 * t49 * t3301 - 0.5000000000e0 * t53 * t3304;
  t3315 = -0.5000000000e0 * t49 * t3304 + 0.5000000000e0 * t53 * t3301;
  t3316 = t58 * t3315;
  t3326 = -0.5000000000e0 * t53 * t3298 + t1697 + 0.5000000000e0 * t33 * t3304;
  t3327 = t58 * t3326;
  t3337 = -0.5000000000e0 * t33 * t3301 + 0.5000000000e0 * t49 * t3298 - t1747;
  t3338 = t58 * t3337;
  t3346 = t253 * t3297;
  t3349 = t35 * t3297;
  t3352 = t38 * t3297;
  t3355 = t41 * t3297;
  t3358 = -0.5000000000e0 * t1771 * t3349 + t1775 - 0.5000000000e0 * t1776 * t3352 - 0.5000000000e0 * t1780 * t3355;
  t3364 = -0.5000000000e0 * t1776 * t3355 + 0.5000000000e0 * t1780 * t3352;
  t3370 = -0.5000000000e0 * t1780 * t3349 + t1794 + 0.5000000000e0 * t1771 * t3355;
  t3378 = -0.5000000000e0 * t1771 * t3352 + 0.5000000000e0 * t1776 * t3349 - t1805;
  t3381 = (t3364 * t238 + t3370 * t241 + t3378 * t243) * t220;
  t3386 = t3358 * t243 + t3364 * t241 - t3370 * t238 + t3381 * t216 - t1640 * t3358 + t221 * t3378;
  t3388 = t230 * t3297;
  t3398 = t3358 * t241 + t3378 * t238 - t3364 * t243 + t3381 * t208 - t1648 * t3358 + t221 * t3370;
  t3401 = t237 * t3297;
  t3411 = t3358 * t238 + t3370 * t243 - t3378 * t241 + t3381 * t202 - t1657 * t3358 + t221 * t3364;
  t3414 = -0.5000000000e0 * t1533 * t3388 + t1823 + 0.1e1 * t46 * t3398 + 0.5000000000e0 * t1544 * t3401 - 0.1e1 * t50 * t3411;
  t3424 = t223 * t3297;
  t3430 = (-0.5000000000e0 * t1533 * t3401 + t1852 + 0.1e1 * t46 * t3411 - 0.5000000000e0 * t1544 * t3388 + 0.1e1 * t50 * t3398 - 0.5000000000e0 * t1551 * t3424 + 0.1e1 * t54 * t3386) * t249;
  t3435 = t186 * t3386 + t225 * t3414 + 0.1e1 * t3430 * t54 - 0.5000000000e0 * t250 * t3304;
  t3438 = t265 * t3297;
  t3450 = -0.5000000000e0 * t1551 * t3401 + 0.1e1 * t54 * t3411 + 0.5000000000e0 * t1533 * t3424 - t1884 - 0.1e1 * t46 * t3386;
  t3456 = t186 * t3398 + t225 * t3450 + 0.1e1 * t3430 * t50 - 0.5000000000e0 * t250 * t3301;
  t3467 = t280 * t3297;
  t3479 = -0.5000000000e0 * t1544 * t3424 + 0.1e1 * t50 * t3386 + 0.5000000000e0 * t1551 * t3388 - 0.1e1 * t54 * t3398;
  t3485 = t186 * t3411 + t225 * t3479 + 0.1e1 * t3430 * t46 - 0.5000000000e0 * t250 * t3298 + t1923;
  t3511 = -0.1000000000e1 * t515 * t3307 + 0.1000000000e1 * t3316 * t147 - 0.1000000000e1 * t535 * t3307 + 0.1000000000e1 * t3327 * t170 - 0.1000000000e1 * t551 * t3307 + 0.1000000000e1 * t3338 * t183 - 0.1000000000e1 * t568 * t3307 + 0.1000000000e1 * t3316 * t268 + 0.1000000000e1 * t64 * (-0.5000000000e0 * t1544 * t3346 + 0.1e1 * t50 * t3435 + 0.5000000000e0 * t1551 * t3438 - 0.1e1 * t54 * t3456) - 0.1000000000e1 * t574 * t3307 + 0.1000000000e1 * t3327 * t285 + 0.1000000000e1 * t155 * (-0.5000000000e0 * t1551 * t3467 + 0.1e1 * t54 * t3485 + 0.5000000000e0 * t1533 * t3346 - t1930 - 0.1e1 * t46 * t3435) - 0.1000000000e1 * t579 * t3307 + 0.1000000000e1 * t3338 * t292 + 0.1000000000e1 * t178 * (-0.5000000000e0 * t1533 * t3438 + t1944 + 0.1e1 * t46 * t3456 + 0.5000000000e0 * t1544 * t3467 - 0.1e1 * t50 * t3485);
  t3549 = 0.1000000000e1 * t598 * t3307 - 0.1000000000e1 * t3316 * t165 + 0.1000000000e1 * t605 * t3307 - 0.1000000000e1 * t3327 * t144 + 0.1000000000e1 * t614 * t3307 - 0.1000000000e1 * t3338 * t132 + 0.1000000000e1 * t628 * t3307 - 0.1000000000e1 * t3316 * t280 - 0.1000000000e1 * t64 * t3485 + 0.1000000000e1 * t633 * t3307 - 0.1000000000e1 * t3327 * t265 - 0.1000000000e1 * t155 * t3456 + 0.1000000000e1 * t642 * t3307 - 0.1000000000e1 * t3338 * t253 - 0.1000000000e1 * t178 * t3435;
  t3564 = (t3315 * t116 + t3326 * t109 + t3337 * t102) * t58;
  t3569 = t3307 * t116 + t3326 * t102 - t3337 * t109 + t3564 * t63 - t741 * t3307 + t635 * t3315;
  t3571 = t644 * t3297;
  t3581 = t3307 * t102 + t3315 * t109 - t3326 * t116 + t3564 * t177 - t752 * t3307 + t635 * t3337;
  t3584 = t651 * t3297;
  t3594 = t3307 * t109 + t3337 * t116 - t3315 * t102 + t3564 * t154 - t764 * t3307 + t635 * t3326;
  t3599 = t637 * t3297;
  t3613 = (-0.5000000000e0 * t1533 * t3599 + t2064 + 0.1e1 * t46 * t3569 - 0.5000000000e0 * t1544 * t3584 + 0.1e1 * t50 * t3594 - 0.5000000000e0 * t1551 * t3571 + 0.1e1 * t54 * t3581) * t663;
  t3618 = t626 * t3569 + t639 * (-0.5000000000e0 * t1544 * t3571 + 0.1e1 * t50 * t3581 + 0.5000000000e0 * t1551 * t3584 - 0.1e1 * t54 * t3594) + 0.1e1 * t3613 * t46 - 0.5000000000e0 * t664 * t3298 + t2082;
  t3636 = t626 * t3594 + t639 * (-0.5000000000e0 * t1551 * t3599 + 0.1e1 * t54 * t3569 + 0.5000000000e0 * t1533 * t3571 - t2094 - 0.1e1 * t46 * t3581) + 0.1e1 * t3613 * t50 - 0.5000000000e0 * t664 * t3301;
  t3654 = t626 * t3581 + t639 * (-0.5000000000e0 * t1533 * t3584 + t2110 + 0.1e1 * t46 * t3594 + 0.5000000000e0 * t1544 * t3599 - 0.1e1 * t50 * t3569) + 0.1e1 * t3613 * t54 - 0.5000000000e0 * t664 * t3304;
  t3674 = 0.2e1 * t77 - t804;
  t3675 = t1533 * t3674;
  t3678 = t1544 * t3674;
  t3681 = t1551 * t3674;
  t3684 = -0.5000000000e0 * t33 * t3675 - 0.5000000000e0 * t49 * t3678 + t1747 - 0.5000000000e0 * t53 * t3681;
  t3692 = -0.5000000000e0 * t49 * t3681 + 0.5000000000e0 * t53 * t3678 - t1697;
  t3693 = t58 * t3692;
  t3703 = -0.5000000000e0 * t53 * t3675 + 0.5000000000e0 * t33 * t3681;
  t3704 = t58 * t3703;
  t3714 = -0.5000000000e0 * t33 * t3678 + t1540 + 0.5000000000e0 * t49 * t3675;
  t3715 = t58 * t3714;
  t3723 = t253 * t3674;
  t3726 = t35 * t3674;
  t3729 = t38 * t3674;
  t3732 = t41 * t3674;
  t3735 = -0.5000000000e0 * t1771 * t3726 - 0.5000000000e0 * t1776 * t3729 + t1805 - 0.5000000000e0 * t1780 * t3732;
  t3741 = -0.5000000000e0 * t1776 * t3732 + 0.5000000000e0 * t1780 * t3729 - t1794;
  t3747 = -0.5000000000e0 * t1780 * t3726 + 0.5000000000e0 * t1771 * t3732;
  t3755 = -0.5000000000e0 * t1771 * t3729 + t1775 + 0.5000000000e0 * t1776 * t3726;
  t3758 = (t3741 * t238 + t3747 * t241 + t3755 * t243) * t220;
  t3763 = t3735 * t243 + t3741 * t241 - t3747 * t238 + t3758 * t216 - t1640 * t3735 + t221 * t3755;
  t3765 = t230 * t3674;
  t3775 = t3735 * t241 + t3755 * t238 - t3741 * t243 + t3758 * t208 - t1648 * t3735 + t221 * t3747;
  t3778 = t237 * t3674;
  t3788 = t3735 * t238 + t3747 * t243 - t3755 * t241 + t3758 * t202 - t1657 * t3735 + t221 * t3741;
  t3791 = -0.5000000000e0 * t1533 * t3765 + 0.1e1 * t46 * t3775 + 0.5000000000e0 * t1544 * t3778 - t1852 - 0.1e1 * t50 * t3788;
  t3801 = t223 * t3674;
  t3807 = (-0.5000000000e0 * t1533 * t3778 + 0.1e1 * t46 * t3788 - 0.5000000000e0 * t1544 * t3765 + t1823 + 0.1e1 * t50 * t3775 - 0.5000000000e0 * t1551 * t3801 + 0.1e1 * t54 * t3763) * t249;
  t3812 = t186 * t3763 + t225 * t3791 + 0.1e1 * t3807 * t54 - 0.5000000000e0 * t250 * t3681;
  t3815 = t265 * t3674;
  t3827 = -0.5000000000e0 * t1551 * t3778 + 0.1e1 * t54 * t3788 + 0.5000000000e0 * t1533 * t3801 - 0.1e1 * t46 * t3763;
  t3833 = t186 * t3775 + t225 * t3827 + 0.1e1 * t3807 * t50 - 0.5000000000e0 * t250 * t3678 + t1923;
  t3844 = t280 * t3674;
  t3856 = -0.5000000000e0 * t1544 * t3801 + t1884 + 0.1e1 * t50 * t3763 + 0.5000000000e0 * t1551 * t3765 - 0.1e1 * t54 * t3775;
  t3862 = t186 * t3788 + t225 * t3856 + 0.1e1 * t3807 * t46 - 0.5000000000e0 * t250 * t3675;
  t3888 = -0.1000000000e1 * t515 * t3684 + 0.1000000000e1 * t3693 * t147 - 0.1000000000e1 * t535 * t3684 + 0.1000000000e1 * t3704 * t170 - 0.1000000000e1 * t551 * t3684 + 0.1000000000e1 * t3715 * t183 - 0.1000000000e1 * t568 * t3684 + 0.1000000000e1 * t3693 * t268 + 0.1000000000e1 * t64 * (-0.5000000000e0 * t1544 * t3723 + t1930 + 0.1e1 * t50 * t3812 + 0.5000000000e0 * t1551 * t3815 - 0.1e1 * t54 * t3833) - 0.1000000000e1 * t574 * t3684 + 0.1000000000e1 * t3704 * t285 + 0.1000000000e1 * t155 * (-0.5000000000e0 * t1551 * t3844 + 0.1e1 * t54 * t3862 + 0.5000000000e0 * t1533 * t3723 - 0.1e1 * t46 * t3812) - 0.1000000000e1 * t579 * t3684 + 0.1000000000e1 * t3715 * t292 + 0.1000000000e1 * t178 * (-0.5000000000e0 * t1533 * t3815 + 0.1e1 * t46 * t3833 + 0.5000000000e0 * t1544 * t3844 - t2534 - 0.1e1 * t50 * t3862);
  t3926 = 0.1000000000e1 * t598 * t3684 - 0.1000000000e1 * t3693 * t165 + 0.1000000000e1 * t605 * t3684 - 0.1000000000e1 * t3704 * t144 + 0.1000000000e1 * t614 * t3684 - 0.1000000000e1 * t3715 * t132 + 0.1000000000e1 * t628 * t3684 - 0.1000000000e1 * t3693 * t280 - 0.1000000000e1 * t64 * t3862 + 0.1000000000e1 * t633 * t3684 - 0.1000000000e1 * t3704 * t265 - 0.1000000000e1 * t155 * t3833 + 0.1000000000e1 * t642 * t3684 - 0.1000000000e1 * t3715 * t253 - 0.1000000000e1 * t178 * t3812;
  t3941 = (t3692 * t116 + t3703 * t109 + t3714 * t102) * t58;
  t3946 = t3684 * t116 + t3703 * t102 - t3714 * t109 + t3941 * t63 - t741 * t3684 + t635 * t3692;
  t3948 = t644 * t3674;
  t3958 = t3684 * t102 + t3692 * t109 - t3703 * t116 + t3941 * t177 - t752 * t3684 + t635 * t3714;
  t3961 = t651 * t3674;
  t3971 = t3684 * t109 + t3714 * t116 - t3692 * t102 + t3941 * t154 - t764 * t3684 + t635 * t3703;
  t3976 = t637 * t3674;
  t3990 = (-0.5000000000e0 * t1533 * t3976 + 0.1e1 * t46 * t3946 - 0.5000000000e0 * t1544 * t3961 + t2110 + 0.1e1 * t50 * t3971 - 0.5000000000e0 * t1551 * t3948 + 0.1e1 * t54 * t3958) * t663;
  t3995 = t626 * t3946 + t639 * (-0.5000000000e0 * t1544 * t3948 + t2094 + 0.1e1 * t50 * t3958 + 0.5000000000e0 * t1551 * t3961 - 0.1e1 * t54 * t3971) + 0.1e1 * t3990 * t46 - 0.5000000000e0 * t664 * t3675;
  t4013 = t626 * t3971 + t639 * (-0.5000000000e0 * t1551 * t3976 + 0.1e1 * t54 * t3946 + 0.5000000000e0 * t1533 * t3948 - 0.1e1 * t46 * t3958) + 0.1e1 * t3990 * t50 - 0.5000000000e0 * t664 * t3678 + t2082;
  t4031 = t626 * t3958 + t639 * (-0.5000000000e0 * t1533 * t3961 + 0.1e1 * t46 * t3971 + 0.5000000000e0 * t1544 * t3976 - t2064 - 0.1e1 * t50 * t3946) + 0.1e1 * t3990 * t54 - 0.5000000000e0 * t664 * t3681;
  t4051 = 0.2e1 * t79 - t1166;
  t4052 = t1533 * t4051;
  t4055 = t1544 * t4051;
  t4058 = t1551 * t4051;
  t4061 = -0.5000000000e0 * t33 * t4052 - 0.5000000000e0 * t49 * t4055 - 0.5000000000e0 * t53 * t4058 + t1697;
  t4069 = -0.5000000000e0 * t49 * t4058 + t1747 + 0.5000000000e0 * t53 * t4055;
  t4070 = t58 * t4069;
  t4080 = -0.5000000000e0 * t53 * t4052 + 0.5000000000e0 * t33 * t4058 - t1540;
  t4081 = t58 * t4080;
  t4091 = -0.5000000000e0 * t33 * t4055 + 0.5000000000e0 * t49 * t4052;
  t4092 = t58 * t4091;
  t4100 = t253 * t4051;
  t4103 = t35 * t4051;
  t4106 = t38 * t4051;
  t4109 = t41 * t4051;
  t4112 = -0.5000000000e0 * t1771 * t4103 - 0.5000000000e0 * t1776 * t4106 - 0.5000000000e0 * t1780 * t4109 + t1794;
  t4118 = -0.5000000000e0 * t1776 * t4109 + t1805 + 0.5000000000e0 * t1780 * t4106;
  t4124 = -0.5000000000e0 * t1780 * t4103 + 0.5000000000e0 * t1771 * t4109 - t1775;
  t4132 = -0.5000000000e0 * t1771 * t4106 + 0.5000000000e0 * t1776 * t4103;
  t4135 = (t4118 * t238 + t4124 * t241 + t4132 * t243) * t220;
  t4140 = t4112 * t243 + t4118 * t241 - t4124 * t238 + t4135 * t216 - t1640 * t4112 + t221 * t4132;
  t4142 = t230 * t4051;
  t4152 = t4112 * t241 + t4132 * t238 - t4118 * t243 + t4135 * t208 - t1648 * t4112 + t221 * t4124;
  t4155 = t237 * t4051;
  t4165 = t4112 * t238 + t4124 * t243 - t4132 * t241 + t4135 * t202 - t1657 * t4112 + t221 * t4118;
  t4168 = -0.5000000000e0 * t1533 * t4142 + 0.1e1 * t46 * t4152 + 0.5000000000e0 * t1544 * t4155 - 0.1e1 * t50 * t4165;
  t4178 = t223 * t4051;
  t4184 = (-0.5000000000e0 * t1533 * t4155 + 0.1e1 * t46 * t4165 - 0.5000000000e0 * t1544 * t4142 + 0.1e1 * t50 * t4152 - 0.5000000000e0 * t1551 * t4178 + t1884 + 0.1e1 * t54 * t4140) * t249;
  t4189 = t186 * t4140 + t225 * t4168 + 0.1e1 * t4184 * t54 - 0.5000000000e0 * t250 * t4058 + t1923;
  t4192 = t265 * t4051;
  t4204 = -0.5000000000e0 * t1551 * t4155 + t1852 + 0.1e1 * t54 * t4165 + 0.5000000000e0 * t1533 * t4178 - 0.1e1 * t46 * t4140;
  t4210 = t186 * t4152 + t225 * t4204 + 0.1e1 * t4184 * t50 - 0.5000000000e0 * t250 * t4055;
  t4221 = t280 * t4051;
  t4233 = -0.5000000000e0 * t1544 * t4178 + 0.1e1 * t50 * t4140 + 0.5000000000e0 * t1551 * t4142 - t1823 - 0.1e1 * t54 * t4152;
  t4239 = t186 * t4165 + t225 * t4233 + 0.1e1 * t4184 * t46 - 0.5000000000e0 * t250 * t4052;
  t4265 = -0.1000000000e1 * t515 * t4061 + 0.1000000000e1 * t4070 * t147 - 0.1000000000e1 * t535 * t4061 + 0.1000000000e1 * t4081 * t170 - 0.1000000000e1 * t551 * t4061 + 0.1000000000e1 * t4092 * t183 - 0.1000000000e1 * t568 * t4061 + 0.1000000000e1 * t4070 * t268 + 0.1000000000e1 * t64 * (-0.5000000000e0 * t1544 * t4100 + 0.1e1 * t50 * t4189 + 0.5000000000e0 * t1551 * t4192 - t1944 - 0.1e1 * t54 * t4210) - 0.1000000000e1 * t574 * t4061 + 0.1000000000e1 * t4081 * t285 + 0.1000000000e1 * t155 * (-0.5000000000e0 * t1551 * t4221 + t2534 + 0.1e1 * t54 * t4239 + 0.5000000000e0 * t1533 * t4100 - 0.1e1 * t46 * t4189) - 0.1000000000e1 * t579 * t4061 + 0.1000000000e1 * t4092 * t292 + 0.1000000000e1 * t178 * (-0.5000000000e0 * t1533 * t4192 + 0.1e1 * t46 * t4210 + 0.5000000000e0 * t1544 * t4221 - 0.1e1 * t50 * t4239);
  t4303 = 0.1000000000e1 * t598 * t4061 - 0.1000000000e1 * t4070 * t165 + 0.1000000000e1 * t605 * t4061 - 0.1000000000e1 * t4081 * t144 + 0.1000000000e1 * t614 * t4061 - 0.1000000000e1 * t4092 * t132 + 0.1000000000e1 * t628 * t4061 - 0.1000000000e1 * t4070 * t280 - 0.1000000000e1 * t64 * t4239 + 0.1000000000e1 * t633 * t4061 - 0.1000000000e1 * t4081 * t265 - 0.1000000000e1 * t155 * t4210 + 0.1000000000e1 * t642 * t4061 - 0.1000000000e1 * t4092 * t253 - 0.1000000000e1 * t178 * t4189;
  t4318 = (t4069 * t116 + t4080 * t109 + t4091 * t102) * t58;
  t4323 = t4061 * t116 + t4080 * t102 - t4091 * t109 + t4318 * t63 - t741 * t4061 + t635 * t4069;
  t4325 = t644 * t4051;
  t4335 = t4061 * t102 + t4069 * t109 - t4080 * t116 + t4318 * t177 - t752 * t4061 + t635 * t4091;
  t4338 = t651 * t4051;
  t4348 = t4061 * t109 + t4091 * t116 - t4069 * t102 + t4318 * t154 - t764 * t4061 + t635 * t4080;
  t4353 = t637 * t4051;
  t4367 = (-0.5000000000e0 * t1533 * t4353 + 0.1e1 * t46 * t4323 - 0.5000000000e0 * t1544 * t4338 + 0.1e1 * t50 * t4348 - 0.5000000000e0 * t1551 * t4325 + t2094 + 0.1e1 * t54 * t4335) * t663;
  t4372 = t626 * t4323 + t639 * (-0.5000000000e0 * t1544 * t4325 + 0.1e1 * t50 * t4335 + 0.5000000000e0 * t1551 * t4338 - t2110 - 0.1e1 * t54 * t4348) + 0.1e1 * t46 * t4367 - 0.5000000000e0 * t664 * t4052;
  t4390 = t626 * t4348 + t639 * (-0.5000000000e0 * t1551 * t4353 + t2064 + 0.1e1 * t54 * t4323 + 0.5000000000e0 * t1533 * t4325 - 0.1e1 * t46 * t4335) + 0.1e1 * t4367 * t50 - 0.5000000000e0 * t664 * t4055;
  t4408 = t626 * t4335 + t639 * (-0.5000000000e0 * t1533 * t4338 + 0.1e1 * t46 * t4348 + 0.5000000000e0 * t1544 * t4353 - 0.1e1 * t50 * t4323) + 0.1e1 * t4367 * t54 - 0.5000000000e0 * t664 * t4058 + t2082;
  t4429 = t127 * t104;
  t4432 = -t104 * t102 + t65 * t119 + 0.1e1 * t4429 * t53;
  t4439 = -t104 * t109 + t65 * t140 + 0.1e1 * t4429 * t49;
  t4449 = -t104 * t116 + t65 * t161 + 0.1e1 * t4429 * t33;
  t4484 = 0.2500000000e0 * t622 * t625 * t697 * t612;
  t4488 = t248 * t225;
  t4491 = -t225 * t223 + t186 * t240 + 0.1e1 * t4488 * t54;
  t4498 = -t225 * t230 + t186 * t261 + 0.1e1 * t4488 * t50;
  t4508 = -t225 * t237 + t186 * t276 + 0.1e1 * t46 * t4488;
  t4019 = (0.5e0 * vyoung[0] + 0.5e0 * vyoung[1]) * t8 * t12 * M_PI * t19;
  t4026 = t622 * t625 * t697;
  energyGradienti[0] = 0.2500000000e0 * t4019 * (t296 * t554 + t569 * t606) * t612 - 0.2500000000e0 * t4026 * t612 * ((t276 * t758 + t261 * t769 + t240 * t780) * t783 - t787 * (t237 * t758 + t230 * t769 + t223 * t780)) * t798;
  energyGradienti[1] = 0.2500000000e0 * t4019 * (t296 * t1025 + t569 * t1063) * t612 - 0.2500000000e0 * t4026 * t612 * ((t276 * t1128 + t261 * t1139 + t240 * t1150) * t783 - t787 * (t237 * t1128 + t230 * t1139 + t223 * t1150)) * t798;
  energyGradienti[2] = 0.2500000000e0 * t4019 * (t296 * t1385 + t569 * t1423) * t612 - 0.2500000000e0 * t4026 * t612 * ((t276 * t1488 + t261 * t1499 + t240 * t1510) * t783 - t787 * (t237 * t1488 + t230 * t1499 + t223 * t1510)) * t798;
  energyGradienti[3] = 0.2500000000e0 * t4019 * (t296 * t1954 + t569 * t1998) * t612 - 0.2500000000e0 * t4026 * t612 * ((t1916 * t667 + t276 * t2083 + t1887 * t678 + t261 * t2103 + t1847 * t689 + t240 * t2123) * t783 - t787 * (t1844 * t667 + t237 * t2083 + t1831 * t678 + t230 * t2103 + t1817 * t689 + t223 * t2123)) * t798;
  energyGradienti[4] = 0.2500000000e0 * t4019 * (t296 * t2540 + t569 * t2584) * t612 - 0.2500000000e0 * t4026 * t612 * ((t2506 * t667 + t276 * t2665 + t2477 * t678 + t261 * t2683 + t2441 * t689 + t240 * t2701) * t783 - t787 * (t2438 * t667 + t237 * t2665 + t2425 * t678 + t230 * t2683 + t2413 * t689 + t223 * t2701)) * t798;
  energyGradienti[5] = 0.2500000000e0 * t4019 * (t296 * t3116 + t569 * t3160) * t612 - 0.2500000000e0 * t4026 * t612 * ((t3084 * t667 + t3241 * t276 + t3055 * t678 + t261 * t3259 + t3019 * t689 + t240 * t3277) * t783 - t787 * (t3016 * t667 + t237 * t3241 + t3003 * t678 + t230 * t3259 + t2991 * t689 + t223 * t3277)) * t798;
  energyGradienti[6] = 0.2500000000e0 * t4019 * (t296 * t3511 + t569 * t3549) * t612 - 0.2500000000e0 * t4026 * t612 * ((t3479 * t667 + t276 * t3618 + t3450 * t678 + t261 * t3636 + t3414 * t689 + t240 * t3654) * t783 - t787 * (t3411 * t667 + t237 * t3618 + t3398 * t678 + t230 * t3636 + t3386 * t689 + t223 * t3654)) * t798;
  energyGradienti[7] = 0.2500000000e0 * t4019 * (t296 * t3888 + t569 * t3926) * t612 - 0.2500000000e0 * t4026 * t612 * ((t3856 * t667 + t276 * t3995 + t3827 * t678 + t261 * t4013 + t3791 * t689 + t240 * t4031) * t783 - t787 * (t3788 * t667 + t237 * t3995 + t3775 * t678 + t230 * t4013 + t3763 * t689 + t223 * t4031)) * t798;
  energyGradienti[8] = 0.2500000000e0 * t4019 * (t296 * t4265 + t569 * t4303) * t612 - 0.2500000000e0 * t4026 * t612 * ((t4233 * t667 + t276 * t4372 + t4204 * t678 + t261 * t4390 + t4168 * t689 + t240 * t4408) * t783 - t787 * (t4165 * t667 + t237 * t4372 + t4152 * t678 + t230 * t4390 + t4140 * t689 + t223 * t4408)) * t798;
  energyGradienti[9] = 0.2500000000e0 * t4019 * (t296 * (0.1000000000e1 * t64 * (0.1e1 * t49 * t4432 - 0.1e1 * t53 * t4439) + 0.1000000000e1 * t155 * (0.1e1 * t53 * t4449 - 0.1e1 * t33 * t4432) + 0.1000000000e1 * t178 * (0.1e1 * t33 * t4439 - 0.1e1 * t49 * t4449)) + t569 * (-0.1000000000e1 * t64 * t4449 - 0.1000000000e1 * t155 * t4439 - 0.1000000000e1 * t178 * t4432)) * t612 - t4484;
  energyGradienti[10] = 0.2500000000e0 * t4019 * (t296 * (0.1000000000e1 * t64 * (0.1e1 * t50 * t4491 - 0.1e1 * t54 * t4498) + 0.1000000000e1 * t155 * (0.1e1 * t54 * t4508 - 0.1e1 * t46 * t4491) + 0.1000000000e1 * t178 * (0.1e1 * t46 * t4498 - 0.1e1 * t50 * t4508)) + t569 * (-0.1000000000e1 * t64 * t4508 - 0.1000000000e1 * t155 * t4498 - 0.1000000000e1 * t178 * t4491)) * t612 + t4484;
}
